Que hai de Novo no NVDA


%!includeconf: ../changes.t2tconf

= 2013.1.1 =

== Corrección de Erros ==
- Prodúcense caracteres correctos cando se teclean na propria interfaz do NVDA mentres se utiliza  un método de entrada Coreano ou Xaponés mentres sexa o método predeterminado. (#2909)
- En Internet Explorer e outros controis MSHTML, os campos marcados como contendo unha entrada inválida agora manéxanse correctamente. (#3256)


= 2013.1 =
O máis subliñable nesta versión inclúe unha distribución de teclado portátil máis intuitiva e consistente; soporte básico para o Microsoft PowerPoint; soporte para descripcións longas en navegadores web; e soporte para a entrada de braille computerizado para liñas braille que teñan un teclado braille.

== Importante ==

=== Nova Distribución Teclado Portátil ===
A distribución de teclado portátil redeseñouse por completo para facela máis intuitiva e consistente.
A nova distribución utiliza as teclas do cursor en combinación ca tecla NVDA e outras modificadoras para ordes de revisión.

Por favor ten en conta os seguintes  cambios para ordes comúnmente utilizadas:
|| Nome | Tecla |
| Ler todo | NVDA+a |
| Ler liña actual | NVDA+l |
| Ler selección de texto actual | NVDA+shift+s |
| Anunciar barra de estado | NVDA+shift+fin |
Ademáis, entre outros cambios, variaron as ordes para toda a navegación de obxectos, revisión de texto, clic do rato e grupos de opcións do sintetizador.
Por favor mira o documento [Referencia Rápida de Ordes keyCommands.html] para as novas teclas.


== Novas Características ==
- Soporte básico para editar e ler presentacións de Microsoft PowerPoint. (#501)
- Soporte básico para ler e escreber mensaxes en Lotus Notes 8.5. (#543)
- Soporte para o cambio automático de lingua cando se lean documentos no Microsoft Word. (#2047) 
- No modo Navegación para MSHTML (ex.: Internet Explorer) e Gecko (ex.: Firefox), agora anúnciase a existencia de descripcións longas. Tamén é posible abrir a descripción longa nunha ventá nova premendo NVDA+d. (#809)
- As notificacións en Internet Explorer 9 e superior agora fálanse (como contido bloqueado ou descargas de ficheiros). (#2343)
- O anunciado automático das cabeceiras de fila e columna agora sopórtase para documentos en modo navegación en Internet Explorer e outros controis MSHTML. (#778)
- Novas linguas: Aragonés, irlandés.
- Novas táboas de transcripción braille:  Danés grado 2, Coreano grao 1.
- Soporte para liñas braille conectadas a traverso do bluetooth nun ordenador executando o Bluetooth Stack for Windows de Toshiba. (#2419)
- Soporte para a selección de porto cando se utilicen liñas freedom Scientific (Automático, USB ou Bluetooth).
- Soporte para a familia BrailleNote de anotadores electrónicos de Humanware cando actúen como unha terminal braille para un lector de pantalla. (#2012)
- Soporte para  modelos antigos das liñas braille Papenmeier BRAILLEX. (#2679)
- Soporte para a entrada de braille computerizado  para liñas braille que posúan un teclado braille. (#808)
- Novas opcións de teclado que permiten  escoller se NVDA debería interrumpir a fala para os caracteres escribidos e/ou a tecla Intro. (#698)
- Soporte para varios navegadores web baseados no Google chrome: Rockmelt, BlackHawk, Comodo Dragon e SRWare Iron. (#2236, #2813, #2814, #2815)
 

== Cambios ==
- Actualizado o transcriptor braille liblouis ó 2.5.2. (#2737)
- A distribución de teclado portátil redeseñouse  por completo para facela máis intuitiva e consistente. (#804)
- Actualizado o sintetizador de voz eSpeak a 1.47.11. (#2680, #3124, #3132, #3141, #3143, #3172)


== Corrección de Fallos ==
- As teclas de navegación rápida para brincar ó seguinte ou anterior separador en modo Navegación agora funcionan en Internet Explorer e outros controis MSHTML. (#2781)
- Se o NVDA se cambia a eSpeak debido a que o sintetizador de voz configurado falla cando NVDA arrinca, o sintetizador configurado xa non se deixa automáticamente na opción de eSpeak. Esto significa que agora, o sintetizador orixinal será probado de novo a próxima vez que NVDA arrinque. (#2589)
- Se o NVDA se cambia a sen braille debido a que a liña braille configurada  falla cando NVDA arrinca, a liña configurada xa non se deixa automáticamente na opción de sen braille. Esto significa que agora, a liña orixinal será probada de novo a próxima vez que NVDA arrinque. (#2264)
- No modo navegación en aplicacións de Mozilla, as actualizacións das táboas agora procésanse correctamente. Por exemplo, en actualización de celdas, as cordinadas de fila e columna anúncianse e a navegación da táboa funciona como debería. (#2784)
- No modo navegación en navegadores web, certos gráficos cliqueables non etiquetados que non se procesaban anteriormente agora procésanse correctamente. (#2838)
- As versións anteriores e actuais do SecureCRT (como a 6.1.1) agora sopórtanse. (#2800)
- Para métodos de entrada como Easy Dots IME baixo XP, a cadea de lectura agora anúnciase correctamente.
- A lista de candidatos do método de entrada Chinés Simplificado Microsoft Pinyin baixo Windows 7 agora lese correctamente cando se cambian páxinas cas flechas esquerda e dereita, e cando se abre primeiro con Inicio.
- Cando se garda a información de pronunciación persoalizada de símbolos , o campo avanzado "preserve" xa non se elimina. (#2852)
- Cando se desactiva a detección automática de actualizacións, NVDA xa non ten de reiniciarse para que todos os cambios teñan efecto.
- NVDA xa non falla ó iniciarse se un complemento non se pode eliminar debido a que o seu directorio está a ser utilizado actualmente por outra aplicación. (#2860)
- As etiquetas de pestanas no diálogo de preferencias do DropBox agora poden verse ca Revisión Cha. 
- Se a lingua de entrada se cambia a algúnha outra que a predeterminada, NVDA agora detecta as teclas correctamente para ordes e o modo de axuda de entrada.
- Para linguas como a alemana onde o signo + (máis) é unha  tecla soa no teclado, agora é posible vincularlle ordes utilizando a palabra "plus". (#2898)
- En Internet Explorer e outros controis  MSHTML, as comiñas agora anúncianse onde proceda. (#2888)
- O controlador das liñas HumanWare Brailliant BI/Bbraille agora pode  seleccionarse cando a liña estea conectada a través do Bluetooth pero nunca se conectaran a través do USB.
- O filtrado de elementos na Lista de Elementos do modo navegación co filtro de texto en maiúsculas agora devolve resultados non sensibles ás maiúsculas igual que nas minúsculas en lugar de nada en absoluto. (#2951)
- Nos navegadores de Mozilla, o modo navegación pode utilizarse de novo cando se enfoque contido Flash. (#2546)
- Cando se utilice unha táboa de braille contraído e estea habilitada a opción expandir a braille computerizado para a palabra no cursor , o cursor braille agora colócase correctamente cando se atope despóis dunha palabra onde un carácter se  represente con varias celdas braille (ex.: signo de maiúsculas, signo de diálogo, signo de número, etc.). (#2947)
- A selección do texto agora amósase correctamente nunha liña braille en aplicacións como controis de edición de Microsoft word 2003 e Internet Explorer.
- É posible de novo seleccionar texto nunha dirección cara atrás en Microsoft Word mentres estea habilitado o Braille.
- Cando se estea en revisión,  eliminando caracteres co retroceso ou suprimir en controis de edición de Scintilla, NVDA anuncia correctamente caracteres multibyte. (#2855)
- NVDA xa non fallará ó instalar cando a ruta do perfil do usuario conteña certos caracteres multibyte. (#2729)
- O anunciado de grupos para controis Vista de Lista (SysListview32) en aplicacións de 64 bit xa non causa un erro.
- No modo navegación nas aplicacións de Mozilla, o contido de texto xa non se trata incorrectamente como editable nalgúns casos extranos. (#2959)
- No IBM Lotus Symphony e no OpenOffice, movendo o cursor do sistema agora móvese o cursor de revisión se procede.
- O contido do Adobe Flash agora é accesible en Internet Explorer en Windows 8. (#2454)
- Correxido o soporte Bluetooth para a Papenmeier Braillex Trio. (#2995)
- Correxida a incapacidade para utilizar certas voces de Microsoft Speech API versión 5 como as voces de Koba Speech 2. (#2629)
- En aplicacións que utilicen o Java Access Bridge, agora as liñas braille actualízanse correctamente cando o cursor se mova en campos de texto editables . (#3107)
- Sopórtase o ponto de referencia en formulario en modo navegación en documentos que soporten pontos de referencia. (#2997) 
- O controlador do sintetizador de voz eSpeak agora manexa a lectura por caracteres máis apropriadamente (ex.: anuncia un nome de letra extranxeiro ou un valor en lugar de só o seu son ou nome xenérico). (#3106)
- NVDA xa non falla ó copiar as opcións do usuario para utilizalas na autentificación e noutras pantallas seguras cando a ruta do perfil do usuario contén caracteres non ASCII. (#3092)
- NVDA xa non se bloquea cando se utiliza a entrada de caracteres asiáticos nalgunhas aplicacións .NET. (#3005)
- Agora é posible utilizar o modo navegación para páxinas en Internet Explorer 10 cando se estea no modo estándar; ex.: www.gmail.com login page. (#3151)


== Cambios para Desenroladores ==
- Os controladores de liña Braille agora poden soportar a selección manual de portos. (#426)
 - Esto é maioritariamente útil para liñas braille que soporten conexión a traverso dun porto serie.
 - Esto faise utilizando o método da clase getPossiblePorts na clase BrailleDisplayDriver.
- Agora sopórtase a entrada braille  dende teclados braille. (#808)
 - A entrada braille abránguese pola crase brailleInput.BrailleInputGesture ou unha subcrase da mesma.
 - As subcrases de braille.BrailleDisplayGesture (segundo se implementaron nos controladores das liñas braille) tamén poden herdar de brailleInput.BrailleInputGesture. Esto permite amosar ordes  e que a entrada braille se manelle pola mesma crase gesture.
- Agora podes utilizar comHelper.getActiveObject para conseguer un obxecto COM activo dende un proceso normal cando NVDA estea executándose co privilexio UIAccess. (#2483)


= 2012.3 =
O subliñable desta versión inclúe o soporte para a entrada de caracteres asiáticos; soporte experimental para pantallas tactiles en Windows 8; anunciado de números de páxina e soporte mellorado para táboas en Adobe Reader; ordes de navegación de táboa en filas de táboa enfocadas e controis de vista en lista de Windows; o soporte para algunhas liñas braille máis; e cabeceiras de columna no Microsoft Excel.

== Novas Características ==
- NVDA agora pode soportar entrada de caracteres asiáticos utilizando IME e métodos de servicio de entrada de texto en todas as aplicacións, incluindo:
 - anunciado e navegación de listas candidatas; 
 - Anunciado e navegación de cadeas de composición; e 
 - Anunciado de lectura de cadeas.
- A presenza de subliñados e tachados agora anúnciase nos documentos de Adobe Reader. (#2410)
- Cando a función Windows Sticky Keys está activada, a tecla modificadora de NVDA agora comportarase como as outras teclas modificadoras. Esto permíteche utilizar a tecla modificadora do NVDA sen a necesidade de manter premeda mentres premes outras teclas. (#230)
- Agora sopórtase o anunciado automático de cabeceiras de columna e de fila no Microsoft Excel. Preme NVDA+shift+c para configurar a fila que conteña cabeceiras de columna e NVDA+shift+r para a columna que conteña cabeceiras de fila. Preme o script dúas veces en sucesión rápida para limpiar a opción. (#1519)
- Soporte para as liñas braille HIMS Braille Sense, Braille EDGE y SyncBraille. (#1266, #1267)
- Cando as Notificacións de Windows 8 aparezan, NVDA anunciaráas se os globos de axuda están habilitados. (#2143)
- Soporte experimental para pantallas Tactiles no Windows 8, incluíndo:
 - Lectura de texto directamente baixo o teu dedo mentres o moves
 - Moitos xestos para levar a cabo a navegación por obxectos, revisión de texto, e outras ordes de NVDA.
- Soporte para o VIP Mud. (#1728)
- No Adobe Reader, se unha táboa ten un resumo, agora preséntase. (#2465)
- No Adobe Reader, as cabeceiras de fila e columna de táboa agora poden anunciarse. (#2193 #2527 #2528)
- Novas linguas: Amárico, Coreano, Nepalí, Esloveno.
- NVDA agora pode ler suxerencias de autocompletado cando se introduzan enderezos de correo no Microsoft Outlook 2007. (#689)
- Novas variantes de voz de eSpeak: Gene, Gene2. (#2512)
- No Adobe Reader, agora poden anunciarse os números de páxina. (#2534)
 - No Reader XI, as etiquetas de páxina anúncianse onde estean presentes, reflectindo cambios na numeración de páxinas en seccións diferentes, etc. en versións anteriores, esto non é posible e só se anunciaban os números de páxinas secuenciales.
- Agora é posible reiniciar a configuración do NVDA ós valores predeterminados de fábrica premendo NVDA+control+r tres veces rápidamente ou escollendo Reiniciar ós Valores Predeterminados de Fábrica dende o menú NVDA (#2086).
- Soporte para as liñas braille Seika Versión 3, 4 e 5 e Seika80 de Nippon Telesoft. (#2452)
- O primeiro e o último dos sensores superiores das liñas braille Freedom Scientific Pacmate e Focus agora pódense utilizar para desprazar cara atrás ou adiante. (#2556).
- Sopórtanse moitas máis características nas liñas braille Freedom Scientific Focus como barras avanzadas, barras de balancíns e certas combinacións de pontos para accións comúns. (#2516)
- En aplicacións que utilicen IAccessible2 como aplicacións de Mozilla, as cabeceiras de fila e columna de táboa agora poden anunciarse fora do modo Navegación. (#926)
- Soporte preliminario para o control de documento no Microsoft Word 2013. (#2543)
- O alineamento de texto agora pode se anunciar nas aplicacións que utilicen IAccessible2 como aplicacións de Mozilla. (#2612)
- Cando se enfoca unha fila de táboa ou un control estándar vista en lista de Windows con múltiples columnas, agora podes utilizar as ordes de navegación por táboas para acceder ás celdas individuais. (#828)
- Novas táboas de transcripción braille: Estonio grado 0, braille computerizado Portugués de 8 pontos e braille italiano computerizado de 6 pontos. (#2319, #2662)
- Se NVDA se instala no sistema, a apertura directa dun paquete de complemento do NVDA (é dicir dende o explorador de Windows ou despois de descargalo dun navegador web) instalarao no NVDA. (#2306)
- Soporte para os modelos máis modernos das liñas de Papenmeier BRAILLEX. (#1265)
- A información de posición (ex.: 1 de 4) agora anúnciase para os elementos de lista de Windows Explorer en Windows 7 e posterior. Esto tamén inclúe calquer control UIAutomation que soporte as propriedades personalizables itemIndex e itemCount. (#2643)


== Cambios ==
- No diálogo Preferencias do Cursor de Revisión de NVDA, a opción Seguer foco do teclado foi renomeada a Seguer ó foco do sistema para consistencia ca terminoloxía utilizada noutras partes no NVDA.
- Cando o braille estea seguindo á revisión e o cursor estea sobre un obxecto que non sexa un obxecto de texto (ex.: un campo de texto editable), as teclas dos sensores do cursor agora activarán o obxecto. (#2386)
- A opción Gardar a Configuración ó Saír agora está activada de maneira predeterminada para novas configuracións.
- Cando se actualiza unha copia do NVDA instalada anteriormente, a tecla de atallo do escritorio xa non se forza a control+alt+n se foi cambiada manualmente a algunha outra diferente polo usuario. (#2572)
- A lista de complementos no Administrador de Complementos agora amosa o nome do paquete antes do seu estado. (#2548)
- Ó instalar a mesma ou outra versión dun complemento instalado actualmente, NVDA preguntarache se desexas actualizar o complemento antigo primeiro, en lugares de amosar un erro e abortar a instalación. (#2501)
- As ordes de navegación de obxectos (excepto a orde anunciar obxecto actual) agora anuncian con menos verbosidade. Aínda podes obter a información extra utilizando a orde de anunciar obxecto actual. (#2560)
- Actualizado o transcriptor braille liblouis a 2.5.1.
- O documento Referencia Rápida de Ordes de teclado de NVDA foi renomeado a Referencia Rápida de Ordes, así agora inclúe tanto ordes tactiles coma ordes de teclado.
- A Lista de elementos en Modo Navegación agora lembrará o último tipo de elemento amosado (ex.: ligas, cabeceiras ou zoas) cada vez que se amose o diálogo dentro da mesma sesión de NVDA. (#365)
- A maioría das aplicacións Metro en Windows 8 (ex.: Mail, Calendar) xa non activan o Modo Navegación para toda a aplicación.
- Actualizado o Handy Tech BrailleDriver COM-Server a 1.4.2.0.


== Corrección de Fallos ==
- No Windows Vista e posterior, NVDA xa non trata incorrectamente a tecla Windows como é ó mantela premeda cando se desbloquea Windows despóis de bloqueala premendo Windows+l. (#1856)
- No Adobe Reader, as cabeceiras de fila agora recoñécense correctamente como celdas de táboa; é dicir, as coordinadas anúncianse e pódense acceder utilizando ordes de navegación de táboa. (#2444)
- No Adobe Reader, as celdas de táboa que abranghen máis dunha columna e/ou fila agora manéxanse correctamente. (#2437)
- O paquete de distribución de NVDA agora verifica a súa integridade antes de se executar. (#2475)
- Os ficheiros descargados temporalmente agora elimínanse se se descarga un ficheiro de actualización do NVDA. (#2477)
- NVDA xa non se colgará cando se estea a executar coma un administrador mentres se copia a configuración do usuario á configuración do sistema (para utilizala na autentificación de Windows e noutras pantallas seguras). (#2485)
- Os mosaicos na Pantalla de inicio de Windows 8 agora preséntanse mellor en voz e braille. O nome xa non se repite, xa non se anuncia non seleccioado en todos os mosaicos, e a información de estado en directo preséntase segundo a descripción da mosaico (ex.: temperatura actual para a mosaico do Tempo).
- Os  contrasinais xa non se anuncian cando se lean campos de contrasinal no Microsoft Outlook e outros controis de edición estándar que estean marcados como protexidos. (#2021)
- No Adobe Reader, os cambios para campos de formulario agora reflíctense correctamente no modo navegación. (#2529)
- Melloras no soporte para o corrector de ortografía de Microsoft Word, incluíndo a lectura máis precisa do erro ortográfico actual, e a capacidade de soportar o corrector de ortografía cando se execute unha copia instalada do NVDA en Windows Vista ou superior.
- Os complementos que inclúan ficheiros contendo caracteres que non estean en Inglés agora poden instalarse correctamente na maioría dos casos. (#2505)
- No Adobe Reader, a lingua do texto xa non se perde cando se actualiza ou se despraza. (#2544)
- Cando se instala un complemento, o diálogo de confirmación agora amosa correctamente o nome traducido do complemento se está dispoñible. (#2422)
- Nas aplicacións que utilizan UI Automation (como aplicacións de .net e Silverlight), o cálculo de valores numéricos para controis como deslizadores correxiuse. (#2417)
- A configuración para o anunciado de barras de progreso agora recoñécese para barras de progreso indeterminadas amosadas por NVDA cando se está a instalar, a crear unha copia portable, etc. (#2574)
- As ordes de NVDA xa non poden executarse dende unha liña braille mentres unha pantalla segura de Windows (como a pantalla de desbloqueo) estea activa. (#2449)
- No modo navegación, o braille agora actualízase se o texto que se está a desplazar cambia. (#2074)
- Cando se está en pantallas seguras de  Windows como a pantalla de desbloqueo as mensaxes das aplicacións que están a falar ou a amosar braille directamente a través do NVDA agora ignóranse.
- No modo navegación, xa non é posible sobrepasar a parte inferior do documento ca tecla flecha dereitha cando se está no carácter final, ou saltando o fin dun contedor cando ese contedor é o derradeiro elemento do documento. (#2463)
- Xa non se inclúe incorrectamente contido extrano cando se anuncia o texto de diálogos en aplicaciones web (específicamente, diálogos ARIA sen o atributo aria-describedby). (#2390)
- NVDA xa non localiza ou anuncia incorrectamente certos campos de edición nos documentos MSHTML (ex.: Internet Explorer), específicamente onde se utilizara un rol ARIA explícito polo autor da páxina web. (#2435)
- A tecla retroceso agora manéllase correctamente cando se falan palabras ó se escribir nas consolas de ordes de Windows. (#2586)
- As coordinadas das celdas agora amósanse de novo en Braille en Microsoft Excel.
- No Microsoft Word, NVDA xa non te deixa enganchado nun parágrafo con formato de lista cando tentas navegar por unha viñeta ou número con flecha esquerda ou control + flecha esquerda. (#2402)
- No modo navegación en aplicacións de Mozilla, os elementos en certos cadros de lista (específicamente, cadros de lista de ARIA) xa non se procesan incorrectamente.
- No modo navegación nas aplicacións de Mozilla, certos controis que foron procesados con unha etiqueta incorrecta ou como espazo en branco agora procésanse ca etiqueta correcta.
- No modo navegación nas aplicacións de Mozilla, elimináronse espazos en branco extranos.
- En modo navegación nos navegadores web, certos gráficos que se marcaron explícitamente como presentables (específicamente, cun atributo alt="") agora ignóranse correctamente.
- Nos navegadores web, NVDA agora agacha contido que se marcou como oculto para lectores de pantalla (específicamente, utilizando o atributo aria-hidden). (#2117)
- As cantidades negativas en moeda (ex.: -$123) agora fálanse correctamente como negativos, independentemente do nível de símbolos. (#2625)
- Durante ler todo, NVDA xa non voltará incorrectamente a á lingua predeterminada se unha liña non remata unha frase. (#2630)
- Agora detéctase correctamente a información de fonte en Adobe Reader 10.1 e posteriores. (#2175)
- No Adobe Reader, se se proporciona texto alternativo, só se procesará ese texto. Anteriormente, algunhas veces incluíase texto extrano. (#2174)
- Cando un documento contén unha aplicación, o contido da aplicación xa non se inclúe no modo navegación. Esto prevén de movementos inesperados dentro da aplicación cando se navega. Podes interactuar ca aplicación do mesmo modo que para os obxectos integrados. (#990)
- En aplicacións de Mozilla, o valor dos botóns de flecha agora anúnciase correctamente cando cambian. (#2653)
- Actualizado o soporte do Adobe Digital Editions para que funcione na versión 2.0. (#2688)
- Premendo NVDA+flecha arriba mentres se estea nun cadro combinado en Internet Explorer e outros documentos MSHTML xa non se lerán incorrectamente todos os elementos. Pola contra, só se lerá o elemento activo. (#2337)
- Os diccionarios da fala agora gardaranse apropriadamente cando se utilice un signo de número (#) dentro dos campos de edición patrón ou reemprazar. (#961)
- O modo navegación para documentos MSHTML (ex.: Internet Explorer) agora amosa correctamente o contido visible que hai dentro do contido oculto. Específicamente: elementos cun estilo visibility:visible nun elemento con estilo visibility:hidden. (#2097)
- As ligas no Centro de Seguridade de Windows XP xa non anuncian lixo aleatoriamente despois dos seus nomes. (#1331)
- Os controis de texto UI Automation ex.:  o campo de procura no menú de inicio do Windows 7 agora anúncianse correctamente cando se move o rato sobor deles en lugar de quedar en silenzo.
- Os cambios de distribución do teclado xa non se anuncian durante ler todo, o que era especialmente problemático para documentos multilingües incluíndo texto árabe. (#1676)
- Todo o contido dalgúns controis de texto editable UI Automation (ex.: o cadro de procura no menú de inicio do Windows 7/8) xa non se anuncia cada vez que cambie.
- Cando te movas entre grupos na pantalla de inicio de Windows 8, os grupos non etiquetados xa non anunciarán o seu primeiro mosaico coma o nome do grupo. (#2658)
- Ó abrir a pantalla de inicio de Windows 8, o foco colócase correctamente sobre o primeiro mosaico en lugar de saltar á raíz da pantalla de inicio, o que pode confundir na navegación. (2720)
- NVDA xa non fallará ó arrancar cando a ruta de perfiles do usuario conteña certos caracteres multibyte. (#2729)
- No modo navegación en Google Chrome, o texto das pestanas agora  procésase correctamente.
- No modo navegación, os botóns de menú agora anúncianse correctamente.
- No Calc de OpenOffice.org/LibreOffice, a lectura das celdas das follas de cálculo agora funciona correctamente. (#2765)
- NVDA pode funcionar de novo na lista de mensaxes de Yahoo! Mail cando se utiliza dende Internet Explorer. (#2780)


== Cambios para Desenroladores ==
- O ficheiro log anterior agora cópiase en nvda-old.log na inicialización do NVDA. Polo tanto, se NVDA se bloquea ou se reinicia, o rexistro de información  de esa sesión aínda é accesible para a súa inspección. (#916)
- A obtención da propiedade de rol en chooseNVDAObjectOverlayClasses xa non causa que o rol sexa incorrecto e polo tanto non se anuncie en foco para certos obxectos como consolas de ordes de Windows e controis de Scintilla. (#2569)
- Os menús do NVDA Preferencias, Ferramentas e Axuda agora son accesibles como atributos en gui.mainFrame.sysTrayIcon chamándose preferencesMenu, toolsMenu e helpMenu, respectivamente. Esto permite ós plugins engadir elementos moito máis sinxelamente a estos menús.
- O script navigatorObject_doDefaultAction en globalCommands foi renomeado a review_activate.
- Agora sopórtanse as mensaxes contextuais de Gettext. Esto permite que sexan definidas múltiples traduccións para unha soa mensaxe en Inglés dependendo do contexto. (#1524)
 - Esto faise utilizando a función pgettext(context, message).
 - Esto sopórtase tanto para NVDA mesmo como para os complementos.
 - Deben utilizarse xgettext e msgfmt de GNU gettext para criar calquera ficheiro PO e MO. As ferramentas de Python non soportan mensaxes contextuais.
 - Para xgettext, pasa o argumento de liña de órdenes --keyword=pgettext:1c,2 para habilitar a inclusión de mensaxes contextuais.
 - Mira http://www.gnu.org/software/gettext/manual/html_node/Contexts.html#Contexts para máis información.
- Agora é posible acceder ós módulos compilados de NVDA onde foran sobreescribidos por módulos de terceiros. Olla o módulo nvdaBuiltin para detalles.
- Agora pode utilizarse o soporte de traducción de complementos dentro do módulo installTasks do complemento. (#2715)


= 2012.2.1 =
Esta versión aborda varios problemas de seguridade potenciais (mediante a actualización do Python á 2.7.3).

  
= 2012.2 =
O subliñable desta versión inclúe unha característica que integra o instalador e a creación do portable, un auto actualizador, administración sinxela dos novos complementos do NVDA, anunciado de gráficos en Microsoft Word, soporte para o estilo de aplicacións de Windows 8 Metro, e varias correccións de fallos importantes. 

== Novas Características ==
- NVDA agora pode procurar automáticamente, descargar e instalar actualizacións. (#73)
- Fíxose máis doada a extensión da funcionalidade do NVDA ca adición dun Administrador de Complementos (que se atopa baixo Ferramentas no menú NVDA) permitíndoche instalar e desinstalar paquetes de complementos do NVDA (ficheiros .nvda-addon) que conteñan plugins e controladores. Ten en conta que o Administrador de Complementos non debería amosar os antigos plugins persoais e controladores copiados manualmente no teu directorio de configuración. (#213)
- Agora funcionan Moitas máis características comúns do NVDA no estilo de aplicacións de Windows 8 Metro cando se utiliza unha versión instalada do NVDA, incluíndo a fala de carácteres ó se escreber e modo navegación para documentos web (inclúese soporte para a versión metro do Internet Explorer 10). As copias portables do NVDA non poden acceder ó estilo de aplicacións metro. (#1801) 
- En documentos en modo Navegación (Internet Explorer, Firefox etc) agora podes saltar ó comezo, ou pasar ó remate, de certos elementos contedores (incluíndo listas e táboas) con shift+, e , respectivamente. (#123) 
- Nova lingua: Grego.
- Agora anúncianse os gráficos e textos alternativos nos documentos de Microsoft Word. (#2282, #1541)


== Cambios ==
- O anunciado de coordeadas de celda en Microsoft Excel agora faise despóis do contido en lugar de antes, e agora só se inclúe se as opcións de anunciado de táboas e de anunciado de coordeadas da celda da táboa están activadas nas opcións do diálogo Formato de Documento. (#320)
- NVDA agora distribúese nun paquete. En lugar dunha versión portable e unha instalable, agora só hai un ficheiro que cando se execute, iniciará unha copia temporal do NVDA, e permitirache instalar, ou xerar unha distribución portable.  
- NVDA agora sempre se instala en Program Files en todos os sistemas. Ó actualizar unha instalación tamén se moverá automáticamente se anteriormente non se instalóu ahí.


== Corrección de Fallas ==
- Co Cambio automático de lingua activado, o Contido tal coma o texto alternativo para gráficos e etiquetas para certos outros controis en Mozilla Gecko (ex.: Firefox) agora anúncianse na lingua correcta se se marcou apropriadamente.
- Ler todo en BibleSeeker (e outros controis TRxRichEdit) xa non se detén no medio dunha pasaxe.
- As listas que se atopan nas propiedades de ficheiro en Windows 8 Explorer (pestana permisos) e en Windows 8 Windows Update agora lense correctamente.
- Correxidos posibles colgues en MS Word que poderían ocorrer cando lle levou máis de 2 segundos extraer texto  dende un documento (líñas extremadamente longas ou táboas de contido). (#2191)
- A detección de partición de palabras agora funciona correctamente onde un espazo en branco sexa seguido por certa puntuación. (#1656) 
- No modo navegación en Adobe Reader, agora é posible navegar por cabeceiras fora dun nivel utilizando navegación rápida e a Lista de Elementos. (#2181)
- No Winamp, o braille agora actualízase correctamente cando te moves a un elemento diferente no Editor de listas de reproducción. (#1912)
- A árbore nos Elementos de Lista (dispoñible para documentos en modo navegación) agora dimensiónase apropiadamente para amosar o texto de cada elemento. (#2276)
- Nas aplicacións que utilicen Java Access Bridge, os campos de texto editable agora amósanse correctamente en braille. (#2284)
- Nas aplicacións que utilicen Java Access Bridge, os campos de texto editable xa non informan de caracteres extranos en certas circumstancias. (#1892)
- Nas aplicacións que utilicen Java Access Bridge, cando se estea ó final dun campo de texto editable, a liña actual  agora anúnciase correctamente. (#1892)
- No modo navegación en aplicacións que utilicen Mozilla Gecko 14 e posterior (ex.: Firefox 14), agora a navegación rápida funciona en bloques de citas e obxectos integrados. (#2287)
- No Internet Explorer 9 NVDA xa non le contido indeseado cando o foco se move dentro de certas zoas ou elementos enfocables (específicamente un elemento div que é enfocable ou que ten un rol de zoa ARIA). 
- As iconas para os atallos para o NVDA no Escritorio e no Menú de Inicio agora se amosan correctamente en edicións de 64 bit de Windows. (#354)


== Cambios para Desenroladores ==
- Debido á substitución do instalador anterior NSIS para o NVDA por un compilado en Python, xa non é necesario para os traductores manter un ficheiro langstrings.txt para o instalador. Todas as cadeas de localización agora adminístranse con ficheiros po de gettext.

 
= 2012.1 =
O subliñable desta versión inclúe características para unha lectura máis fluída en braille; indicación de formato de documento en braille; acceso a moita máis información de formato e mellora do rendemento en Microsoft Word; e soporte para a Store de iTunes.

== Novas Características ==
- NVDA pode anunciar o número de tabuladores ou espacios iniciais da liña actual na orde na que se introduzan. Esto pode activarse seleccionando Anunciar sangrado de liña  no diálogo formato de documento. (#373)
- NVDA agora pode detectar pulsacións de teclas xeradas dende a emulación alternativa de entrada de teclado coma nas aplicacións de teclado en pantalla e recoñecemento de fala.
- NVDA agora pode detectar cores en consolas de ordes de Windows.
- Agora as negriñas, cursivas e subliñados indícanse en braille utilizando signos apropriados ca táboa de transcripción configurada. (#538)
- Agora anúnciase moita máis información en documentos de Microsoft Word, incluindo: 
 - Información en liña coma números de cabeceiras e notas ó pe, niveis de cabeceira, a existencia de comentarios, niveis de aniñamento de táboa, ligas, e cor de texto;
- Anúnciase cando se entra ás seccións do documento coma ó histórico de comentarios, ó histórico de notas ó pe e notas finais, e ós históricos de cabeceiras e pes.
- O braille agora indica o texto seleccionado utilizando os pontos 7 e 8. (#889)
- O braille agora anuncia información acerca dos controis dentro dos documentos coma ligas, botóns e cabeceiras. (#202)
- Soporte para as liñas braille USB hedo ProfiLine e MobilLine. (#1863)
- NVDA agora evita a separación de palabras en braille cando sexa possible de maneira predeterminada.  Esto pode desactivarse no diálogo Opcións de Braille. (#1890, #1946)
- Agora é posible amosar o braille por parágrafos en lugar de liñas, o que podería permitir unha maior fluideza na lectura de longas cantidades de texto. Esto é configurable utilizando a opción Ler por parágrafos no diálogo Opcións de Braille. (#1891)
- No modo navegación, podes activar o obxecto baixo o cursor utilizando unha liña braille. Esto faise premendo a tecla de guiado do cursor onde estea situado o cursor (o que significa premelo dúas veces se o cursor non está aínda alí). (#1893)
- Soporte básico para áreas web en iTunes coma na Store. Outras aplicacións que utilicen WebKit 1 tamén poderían soportarse. (#734)
- Nos libros en Adobe Digital Editions 1.8.1 e posteriores, agora as páxinas vóltanse automáticamente cando se utiliza ler todo.  (#1978)
- Novas táboas de transcripción braille: Portugués grao 2, braille islandés computerizado de 8 puntos, Tamil grao 1, Braille español computerizado de 8 pontos, persa grao 1. (#2014)
- Agora podes configurar se se anuncian os marcos nos documentos dende o diálogo de preferencias de Formato de Documentos. (#1900)
- O modo durminte actívase automáticamente cando se utiliza OpenBook. (#1209)
- En Poedit, os traductores agora poden ler os comentarios engadidos ou extraídos automáticamente para o traductor. As mensaxes que estean sen traducir ou provisionais márcanse cun asterisco e escóitase un pitido cando se navegue sobre eles (#1811).
- Soporte para as liñas braille de HumanWare Brailliant series BI e B. (#1990)
- Nova língua: Noruego Bokmål.


== Cambios ==
- As ordes que describen o carácter actual ou o deletreo da palabra ou liña agora deletrearán na lingua apropriada de acordo co texto, se o cambio automático de lingua está activado e a información apropriada de idioma está dispoñible.
- Actualizado o sintetizador de voz eSpeak á 1.46.02.
- Agora NVDA filtrará os nomes extremadamente longos (30 caracteres ou máis) deducidos de URLs de gráfícos e ligas dado que o máis probable é que sexan lixo que obstaculice a lectura. 
- Abreviouse algunha información amosada en braille. (#1955, #2043)
- Cando os cursores de sistema ou de revisión se moven, agora o braille desprázase de igual xeito como se se desprazase manualmente. Esto faino máis apropriado cando o braille configurouse para ler por párágrafos e/ou para evitar partición de palabras. (#1996)
- Actualizado a unha nova táboa de transcripción braille Española de grao 1. 
- Actualizado o transcriptor braille liblouis a 2.4.1.


== Corrección de Erros ==
- No Windows 8, o foco xa non se move incorrectamente do campo de procura de Windows Explorer, o que non permitía ó NVDA interactuar con el.
- Melloras no rendemento cando se le e se navega polos documentos de Microsoft word mentres o anunciado automático do formato está activado, así agora é un pouco máis confortable probar a ler o formato etc. O rendemento tamén podería mellorarse sobre todo para algúns usuarios.
- O modo navegación agora úsase para toda a pantalla no contido de Adobe Flash.
- Correxida a mala calidade do audio nalgúns casos cando se usan voces do Microsoft Speech API versión 5 co dispositivo de saída de audio configurado a algún outro co predeterminado (Microsoft Sound Mapper). (#749)
- Permítese novamente a NVDA utilizarse co sintetizador "no speech", confiando únicamente no braille ou no visualizador de voz. (#1963)
- As ordes de navegación de obxectos xa non anuncian "Sen fillos" e "Sen pais", pero nembargantes anuncian mensaxes consistentes ca documentación.
- Cando NVDA se configurou para utilizar outra lingua que o Inglés, o nome da tecla tab agora anúnciase na lingua adecuada. 
- En Mozilla Gecko (ex.: Firefox), NVDA xa non cambia intermitentemente a modo navegación mentres se navega por menús en documentos. (#2025)
- Na Calculadora, a tecla retroceso agora anuncia o resultado actualizado en lugar de non anunciar nada. (#2030)
- No modo navegación, a orde mover o rato ó navegador de obxectos actual agora móvese ó centro do obxecto no cursor de revisión en lugar de á esquina esquerda superior, facéndoo máis preciso en algúns casos. (#2029)
- No modo navegación co modo foco automático para cambios do foco activado, o enfocado dunha barra de ferramentas agora cambiará a modo foco. (#1339)
- A orde anunciar título funciona correctamente de novo en Adobe Reader.
- Co modo foco automático para cambios do foco activado, o modo foco agora utilízase correctamente para as celdas de táboa enfocadas; ex.: en rexiñas ARIA. (#1763
- No iTunes, a información de posición en certas listas agora anúnciase correctamente.
- No Adobe Reader, algunhas ligas xa non se tratan coma contendo campos de texto editable de só lectura.
- As etiquetas dalgúns campos de texto editable xa non se inclúen incorrectamente cando se anuncia o texto dun diálogo. (#1960)
- A descripción de grupos anúnciase unha vez de novo se o anunciado de descripcións de obxecto está activado.
- Os tamanos lexibles agora inclúense no texto do diálogo de propriedades da unidade en Windows Explorer.
- O anunciado doble de texto en páxinas de propiedades foi suprimido nalgúns casos. (#218)
- Mellorado o seguemento do cursor do sistema en campos de texto editable que confían en texto escrito na pantalla. En particular, esto mellora a edición no editor de celdas de Microsoft Excel e o editor de mensaxes de Eudora. (#1658)
- En Firefox 11, a orde mover a contido de modo virtual (NVDA+control+espazo) agora funciona como debería para saír de obxectos integrados como contido Flash.
- NVDA agora reiníciase correctamente (ex.: despois de cambiar a lingua configurada) cando se localice nun directorio con contidos de carácteres non ASCII. (#2079)
- O Braille respecta correctamente as opcións para o anunciado de teclas de atallo dos obxectos, información de posición e descripcións.
- En aplicacións Mozilla, o cambio entre modos navegación e foco xa non enlentece co braille activado. (#2095)
- Guiar o cursor ó espazo no remate da liña/parágrafo utilizando os sensores do cursor braille nalgúns campos de texto editable agora funciona correctamente en lugar de levar ó comezo do texto. (#2096)
- NVDA funciona de novo correctamente co sintetizador Audiologic Tts3. (#2109)
- Os documentos de Microsoft Word trátanse correctamente como multi-liña. Esto causa que o braille se comporte de maneira máis adecuada cando un documento se enfoque.
- No Microsoft Internet Explorer, xa non ocorren erros cando se enfoca sobre certos controis raros. (#2121)
- Cambiar a pontoación e símbolos polo usuario agora terá efecto inmediato, en lugar de requerir un reinicio do NVDA, ou que se desactive o cambio automático de lingua.
- Cando se utiliza eSpeak, a voz xa non queda en silenzo nalgúns casos no diálogo Gardar Como... do Visualizador de Log do NVDA. (#2145)


== Cambios para Desenrroladores ==
- Agora hai unha Consola Python remota para situacións onde a depuración remota é útil. Mira a Developer Guide para detalles.
- A ruta base do código de NVDA agora quitouse dos tracebacks no log para mellorar lexibilidade. (#1880)
- Os obxectos TextInfo agora teñen un método activate() para activar a posición representada polo TextInfo.
 - Esto utilízase polo braille para activar a posición utilizando teclas de guiado do cursor nunha liña braille. Nembargantes, podería haber outras chamadas no futuro.
- Os treeInterceptors e os NVDAObjects que só expoñen unha páxina de texto á vez poden soportar o cambio automático de páxina durante ler todo utilizando o textInfos.DocumentWithPageTurns misturado. (#1978)
- Movéronse ou cambiáronse os nomes de varios controis e constantes de saída. (#228)
- As constantes speech.REASON_* movéronse a controlTypes.
- Renomeáronse controlTypes, speechRoleLabels e speechStateLabels só a roleLabels and stateLabels, respectivamente.
- Agora a saída braille rexístrase no nivel input/output. Primeiro, o texto sen transcribir de todas as rexións rexístrase, seguido polas celdas braille da ventá que se están a amosar. (#2102)
- As subclasses do synthDriver sapi5  agora poden sobreescribirse _getVoiceTokens e extender __init__ para soportaren fichas de voces personalizadas como con sapi.spObjectTokenCategory para obter fichas dun rexistro personalizado.


= 2011.3 =
O subliñable nesta versión inclúe o cambio automático de idioma da voz cando se len documentos ca información de idioma apropriada;  soporte para ambentes Java Runtime de 64 bit; anunciado de formato de texto en Modo navegación en aplicacións de Mozilla; mellor manexo de rupturas e colgues de aplicacións; e correccións iniciais para Windows 8.


== Novas Características ==
- NVDA agora pode cambiar a lingua do sintetizador eSpeak ó vo cando le certos documentos web/pdf ca información de lingua  apropriada. O cambio automático da lingua/dialecto pode activarse ou desactivarse dende o diálogo Opcións de Voz. (#845) 
- No Mozilla Gecko (ex.: Firefox) os niveis de cabeceira agora anúncianse cando se utiliza a navegación de obxectos.
- O formato de texto agora pódese anunciar cando se utiliza o modo navegación en Mozilla Gecko (ex.: Firefox e Thunderbird). (#394)
- O texto con subliñado e/ou tachado agora pode detectarse e anunciarse nos controis de texto estándar IAccessible2 como nas aplicacións de Mozilla.
- NVDA agora reiniciarase se se colga.
- No modo Navegación en Adobe Reader, agora infórmase da conta das filas e das columnas.
- Engadiuse soporte para a Plataforma de Síntese de Voz de Microsoft. (#1735)
- Os números de liña e de páxina agora anúncianse para o cursor en IBM Lotus Symphony. (#1632)
- A porcentaxe de cánto cambia o ton cando se fale unha letra maiúscula agora é configurable dende o diálogo Opcións de voz. Polo tanto, esto reemplaza a vella casiña de verificación elevar o ton para maiúsculas (polo tanto para desactivar esta característica ca porcentaxe a 0). (#255)
- A cor de texto e fondo agora inclúese no anunciado de formato para celdas en Microsoft Excel. (#1655)
- En aplicacións que utilizen o Java Access Bridge, a orde activar actual navegador de obxectos agora funciona en controis onde sexa apropriado. (#1744)
- Soporte básico para Design Science MathPlayer.


== Cambios ==
- NVDA agora reiniciarase se se colga.
- Algunha información amosada en braille foi abreviada. (#1288)
- O script Ler Ventá activa (NVDA+b) foi mellorado para filtrar controis inútiles e agora tamén é moito máis sinxelo de silenciar. (#1499)
- Ler Todo automáticamente cando se carga un documento en Modo Navegación agora é opcional a través dunha opción no diálogo Opcións do Modo Navegación. (#414)  
- Cando se tratan de ler barras de estado (Sobremesa NVDA+fin), se non se pode localizar un obxecto de barra de estado real, NVDA recurrirá no seu lugar a utilizar a liña final de texto escribida na pantalla da aplicación activa. (#649)
- Cando se le con ler todo en documentos en modo navegación, NVDA agora fará unha pausa no final de encabezados e outros elementos de nivel de bloque, en lugar de falar o texto xunto co seguinte bloque como se fora unha frase longa.
- En modo navegación, presionando intro o espacio en una pestaña ahora la activa en lugar de cambiar a modo foco. (#1760)
- Actualizado o sintetizador de voz eSpeak á 1.45.46.


== Corrección de Erros ==
- NVDA xa non amosa viñetas ou numeración para listas en Internet Explorer e outros controis MSHTML cando o autor indicou que éstas non deberíam amosarse (é dicir, o estilo de lista é "none"). (#1671)
- Reiniciar NVDA cando se colgou (ex.: premendo control+alt+n) xa non sae da copia previa sen comezar outra nova.
- Premer retroceso ou flechas nunha consola de ordes de Windows xa non causa resultados extranos nalgúns casos. (#1612)
- O elemento seleccionado en cadros combinados WPF (e posiblemente algúns outros cadros combinados amosados utilizando UI Automation) que non permiten edición de texto agora anúnciase correctamente.
- En modo Navegación en Adobe Reader, agora sempre é posible moverte á seguinte fila dende a fila de cabeceira e viceversa utilizando as ordes moverse á seguinte fila e moverse á fila anterior. Tamén,  a fila de cabeceira xa non se anuncia como fila 0. (#1731)
- En modo navegación en Adobe Reader, agora é posible mover a (e polo tanto pasar) celdas valdeiras nunha táboa.
- Información de posición sen sentido  (ex.: 0 de 0 nivel 0) xa non se anuncia en braille.
- Cando o braille siga á revisión, agora poderá amosarse contido en revisión chan. (#1711)
- Un texto do control de texto xa non se presenta dúas veces nunha liña braille en algúns casos, ex.: desprazándose atrás dende o comezo de documentos de Wordpad.
- En modo navegación en Internet Explorer, premendo intro sobre un botón de subir un ficheiro agora preséntase correctamente o diálogo para escoller un ficheiro para subir en lugar de cambiar a modo foco.  (#1720)
- Os cambios de contido dinámico como en consolas do Dos xa non se anuncian se  o modo durminte para esa aplicación está actualmente activado. (#1662)
- En modo navegación, o comportamento de alt+flecha arriba e alt+flecha abaixo para contraer e expandir cadros combinados foi mellorado. (#1630)
- NVDA agora recupérase de moitas máis situacións como aplicacións que deixan de responder nas que anteriormente causaba un colgue compreto. (#1408)
- Para documentos en modo navegación de Mozilla Gecko (Firefox etc) NVDA xa non fallará ó interpretar texto nunha situación moi específica onde un elemento is styled as display:table. (#1373)
- NVDA xa non anunciará controis etiqueta cando o foco se mova por eles. Detén o anunciado doble de etiquetas para algúns campos de formulario en Firefox (Gecko) e Internet Explorer (MSHTML). (#1650)
- NVDA xa non falla ó ler unha celda en Microsoft Excel despois de pegar con control+v. (#1781)
- En Adobe Reader, xa non se anuncia información extraña acerca do documento cando se mova cara un control nunha páxina diferente en modo foco. (#1659)
- En modo navegación en aplicacións de Mozilla Gecko (ex.: Firefox), os botóns de comnutación agora detéctanse e anúncianse correctamente. (#1757)
- NVDA agora pode ler correctamente a barra de enderezos do Explorador de Windows en Windows 8 developer preview.
- NVDA xa non colga aplicacións como winver y wordpad en Windows 8 developer preview debido a malas traduccións de glyph.
- En modo navegación en aplicacións que utilizan Mozilla Gecko 10 e posteriores (ex.: Firefox 10), o cursor colócase correctamente máis de cotío cando se carga unha páxina cun áncora. (#360)
- En Modo navegación en aplicacións Mozilla Gecko (ex.: Firefox), as etiquetas para mapas de imaxen agora interprétanse.
- Co seguemento do rato activado, ó mover o rato sobre certos campos de texto editable (como en Synaptics Pointing Device Settings e SpeechLab SpeakText) xa non causa que a aplicación se colgue. (#672)
- NVDA agora funciona correctamente en varios diálogos Acerca de... en aplicacións distribuídas co Windows XP, incluindo o diálogo de acerca de... en Notepad e o diálogo de acerca de  en Windows. (#1853, #1855)
- Correxida a revisión por palabras en controis de edición de Windows. (#1877)
- Moverse fora dun campo de texto editable con flecha esquerda, flecha arriba ou avpáz mentres se está en modo foco agora cambia correctamente a modo navegación cando está habilitado o modo foco automático para movementos do cursor. (#1733)


== Ccambios para Desenrroladores ==
- NVDA agora pode instruir ós sintetizadores de voz para cambiar as linguas para seccións en particular de voz.
 - Para soportar esto, os controladores deben manellar speech.LangChangeCommand en secuencias pasadas ó SynthDriver.speak().
 - Os obxectos SynthDriver tamén deberían proporcionar o argumento de lingua ós obxectos VoiceInfo (ou sobreescribir o atributo de lingua para capturar a lingua actual). de outro modo, a lingua da interface do usuario do NVDA será utilizada.

 
 = 2011.2 =
O subliñable nesta revisión inclúe melloras maiores concernintes á pontoación e símbolos, incluíndo niveis configurables, etiquetado e descripcións de carácteres persoalizados; sen pausas ó remate das liñas durante a lectura completa; soporte mellorado para ARIA en Internet Explorer; e moito mellor soporte para documentos PDF XFA/LiveCycle en Adobe Reader; acceso a texto escribido na pantalla en máis aplicacións; e acceso a formato e información de cor para texto escrito na pantalla.

== Novas Características ==
- Agora é posible escoitar a descripción para calquera carácter dado premendo o script revisar carácter actual dúas veces en sucesión rápida.  Para carácteres en Inglés esto é o alfabeto fonético inglés estándar. Para idiomas pictográficos como o Chinese Mandarín, proporciónanse unha ou máis frases de exemplo utilizando o símbolo dado. Tamén premendo revisar palabra actual ou revisar liña actual tres veces deletreará a palabra/liña utilizando a primeira destas descripcións. En galego utilízase o alfabeto de deletreo radioaficionado lixeiramente modificado(#55)
- Pode verse máis texto en revisión chan para aplicacións como Mozilla Thunderbird que escriben o seu texto directamente á pantalla como glyphs.
- Agora é posible escoller varios niveis de anunciado de pontoación e símbolos. (#332)
- Cando a pontoación ou outros símbolos repítense máis dunha vez, agora anúnciase o número de repeticións  en lugar de dicir os símbolos repetidamente. (#43)
- Unha nova táboa de transcripción braille: braille computerizado noruego de 8 pontos. (#1456)
- A voz xa non fai pausas antinaturais ó remate de cada liña cando se utiliza a orde para ler todo. (#149)
- NVDA agora anunciará se algo se ordea (de acordo ca propiedade aria-sort) en navegadores Web. (#1500)
- Os patróns Braille unicode agora amósanse correctamente nas liñas braille. (#1505)
- En Internet Explorer e outros controis MSHTML cando o foco se move dentro dun grupo de controis (surrounded by a fieldset), NVDA agora anunciará o nome do grupo (the legend). (#535)
- En Internet Explorer e outros controis MSHTML, as propiedades aria-labelledBy e aria-describedBy are now honoured.
- En Internet Explorer e outros controis MSHTML, foi mellorado o soporte para controis ARIA list, gridcell, slider e progressbar.
- Os usuarios agora poden cambiar a pronunciación de pontoación e outros símbolos, así como o nivel en que se falen. (#271, #1516)
- En Microsoft Excel, o nome da folla activa agora anúnciase cando se cambie de páxina con control+rePáx ou control+avPáx. (#760)
- Cando se navega por unha táboa en Microsoft Word ca tecla tab NVDA agora anunciará a celda actual segundo te movas. (#159)
- Agora podes configurar se as coordinadas dunha celda de táboa anúncianse dende o diálogo de preferencias de formato de documento. (#719)
- NVDA agora pode detectar formato e cor para texto escribido na pantalla.
- Na lista de mensaxes de Outlook Express/Windows Mail/Windows Live Mail, NVDA agora anunciará o feito de que unha mensaxe estea non lida e tamén se está expandido ou contraído no caso de fíos de conversa. (#868)
- eSpeak agora ten unha opción de tasa de aumento que triplica a velocidade da voz.
- Soporte para o control calendario que se atopa no diálogo de Información de Data e Hora accedido dende o reloxo de Windows 7. (#1637)
- Engadíronse combinacións de teclas adicionais para a liña braille MDV Lilli. (#241)
- Novas linguas: Búlgaro, Albanés.


== Cambios ==
- Para mover o cursor do sistema ó cursor de revisión, agora preme o script mover foco ó navegador de obxectos (Sobremesa NVDA+shift+menos teclado numérico, portátil NVDA+shift+retroceso) dúas veces en sucesión rápida. Esto libera máis teclas no teclado. (#837)
- Para escoitar a representación decimal e hexadecimal do carácter baixo o cursor de revisión, agora preme revisar carácter actual tres veces en lugar de dúas veces, xa que dúas veces agora di a descripción do carácter.
- Actualizado o sintetizador de voz eSpeak a 1.45.03. (#1465)
- As táboas de deseño xa non se anuncian en aplicacións de Mozilla Gecko mentres se move o foco cando se está en modo foco ou fora dun documento.
- En Internet Explorer e outros controis  MSHTML, o modo navegación agora funciona para os documentos dentro de aplicacións ARIA. (#1452)
- Actualizado o transcriptor braille  liblouis a 2.3.0.
- Cando se está en modo navegación e se salta a un control con quicknav ou foco, a descripción do control agora anúnciase se ten un.
- As barras de progreso agora anúncianse en modo navegación.
- Os nodos marcados cun rol ARIA de presentación en Internet Explorer e outros controis MSHTML agora fíltranse fora da revisión simple e o ancestro do foco.
- A interface de usuario e a documentación de NVDA agora refírense ós modos virtuais como modo navegación , xa que o termo "virtual buffer" é menos comprensible para a maioría dos usuarios. (#1509)
- Cando o usuario desexe copiar as súas opcións de usuario ó perfil do sistema para utilizalas en pantallas de autentificación, etc., e as súas opcións conteñan plugins persoais, agora serán advertidos de que esto podería supor un risco de seguridade. (#1426)
- O servicio NVDA xa non inicia e detén ó NVDA en escritorios de entrada de usuario.
- En Windows XP e Windows Vista, NVDA xa non fai uso de UI Automation aínda se está dispoñible a través da actualización da plataforma. Aíndaque utilizando UI Automation pódese mellorar a accesibilidade dalgunhas aplicacións modernas, en XP e Vista había moitos colgues, rupturas e perdíase toda a boa funcionalidade utilizándoo. (#1437)
- En aplicacións que utilizan Mozilla Gecko 2 e posterior (tales como Firefox 4 e posterior), agora pode lerse un documento en modo navegación antes de que a carga remate compretamente.
- NVDA anuncia agora o estado dun contedor cando o foco se mova a un control dentro del (ex.: se o foco se move dentro dun documento que aínda se estea cargando anunciaráo como ocupado).
 - A interface de usuario e documentación do NVDA xa non utiliza os termos "primeiro fillo" e "pai" con respecto á navegación de obxectos, pois estos termos son confusos para moitos usuarios.
 - Xa non se anuncia contraído para algúns elementos de menú que teñen submenús.
- O script reportCurrentFormatting (NVDA+f) agora anuncia o formato na posición do cursor de revisión antes que o cursor do sistema / foco. Xa que de forma predeterminada o cursor de revisión segue ó do sistema, a maior parte da xente non debería notar a diferencia.  Nembargantes esto agora posibilita ó usuario mirar o formato cando se mova o cursor de revisión, tal como na revisión chan.


== Corrección de erros ==
- Contraer cadros combinados en documentos en modo navegación cando o modo foco foi forzado con NVDA+espacio xa non volta automáticamente a modo navegación. (#1386)
- En documentos Gecko (ex.: Firefox) e MSHTML (ex.: Internet Explorer), NVDA agora procesa correctamente  certo texto na mesma liña que previamente foi procesado en liñas separadas. (#1378)
- Cando o Braille segue á revisión e o navegador de obxectos se move a un documento en modo navegación, ou manualmente ou debido a un cambio de foco, o braille amosará adecuadamente o contido do modo de navegación. (#1406, #1407)
- Cando a fala da pontoación estea desactivada, certa pontoación xa non se di incorrectamente cando se utilicen algúns sintetizadores. (#332)
- Xa non ocurren problemas cando se carga a configuración para sintetizadores que non soportan a opción de voz como Audiologic Tts3. (#1347)
- O menú de Skype Extras agora lese correctamente. (#648)
- Marcando a casiña de verificación Brilo Controla o Volume no diálogo Opcións do Rato xa non debería causar un retraso maior para pitidos cando se mova o rato ó longo da pantalla en Windows Vista/Windows 7 con Aero activado. (#1183)
- Cando NVDA se configura para utilizar a distribución de teclado portátil, NVDA+suprimir agora funciona como se documentou para anunciar as dimensións do navegador de obxectos actual. (#1498)
- NVDA agora cumpre apropriadamente co atributo aria-selected en documentos de Internet Explorer.
- cando NVDA cambia automáticamente a modo foco en documentos de modo navegación, agora anuncia información acerca do contexto do foco. Por exemplo, se un elemento dun cadro de lista recive o foco, o cadro de lista anunciarase primeiro. (#1491)
- En Internet Explorer e outros controis MSHTML, os controis ARIA listbox agora trátanse como listas, en lugar de como elementos de lista.
- Cando un control editable de texto de so lectura recibe o foco, NVDA agora informa de que é de só lectura. (#1436)
- No modo navegación, NVDA agora funciona correctamente con respecto ós campos de texto editable de so lectura.
- Nos documentos en modo navegación, NVDA xa non cambia incorrectamente de modo foco cando aria-activedescendant está configurado; ex.: cando o remate da lista aparece nalgúns controis con autocompletado.
- No Adobe Reader, o nome dos controis agora anúnciase cando se mova o foco ou utilízase navegación rápida en modo navegación.
- Nos documentos XFA PDF no Adobe Reader, botóns, ligas e gráficos agora procésanse correctamente.
- Nos documentos XFA PDF no Adobe Reader, todos os elementos agora procésanse en liñas por separado.  Este cambio fíxose porque as seccións grandes (ás veces todo o documento) procesábanse sen saltos debido ó retraso xeral da estructura nestos documentos.
- Correxidos problemas cando se move o foco dende campos de texto editable nos documentos XFA PDF no Adobe Reader.
- Nos documentos XFA PDF no Adobe Reader, os cambios ó valor dun cadro combinado enfocado agora anunciaranse.
- Os cadros combinados Owner-drawn como os de escoller cores no Outlook Express agora son accesibles co NVDA. (#1340)
- Nas linguas que utilizan un espazo como separador de grupo de milleiro como francés e alemán, os números de grupos separados de texto xa non se pronuncian como un só número. Esto era particularmente problemático para celdas de táboas que conteñan números. (#555)
- Os nodos cun rol de descripción de ARIA no Internet Explorer e outros controis MSHTML agora clasifícanse como texto estático, non como campos de edición.
- Correxidos varios problemas cando se preme tab mentres o foco está nun documento en modo navegación (ex.: tab móvese inapropriadamente á barra de enderezos no Internet Explorer). (#720, #1367)
- Cando se entra en listas mentres se le texto, NVDA agora di, por exemplo, "lista con 5 elementos" en lugar de "listacon 5 elementos". (#1515)
- No modo de axuda de entrada, os xestos están no sistema aínda se os seus scripts deixan pasar a axuda de entrada como as ordes de desprazamento da líña braille cara adiante e atrás.
- No modo de axuda de entrada, cando unha modificadora se mantén pulsada no teclado, NVDA xa non anuncia a modificadora como se se modificase a sí mesma; ex.: NVDA+NVDA.
- Nos documentos do Adobe Reader, a pulsación da c ou shift+c para navegar a un cadro combinado agora funciona.
- O estado seleccionado de filas de táboa seleccionables agora anúnciase do mesmo modo que para os elementos de lista e árbore.
- Os controis no Firefox e outras aplicacións Gecko agora poden activarse mentres se está no modo navegación aínda se o seu contido estivo flotando fora da pantalla. (#801)
- Xa non se pode amosar un diálogo de opcións de NVDA mentres se está amosando unha mensaxe de diálogo, xa que o diálogo de opcións colgábase neste caso. (#1451)
- Reinstaurado o diálogo editor de celdas de Excell do NVDA que se desactivara accidentalmente no NVDA 2011.1.
- No Microsoft Excel, xa non hai un retraso cando se mantiñan pulsadas ou se pulsaban teclas rápidamente para moverse entre celdas ou seleccionalas.
- Correxidas rupturas do servicio NVDA que significaban que NVDA paraba de executarse en ventás seguras de Windows.
- Correxidos problemas que ocurrían ás veces con liñas braille cando un cambio causaba que o texto que estaba amosándose desaparecera.
- A ventá de descargas no Internet Explorer 9 agora pode navegarse e lerse co NVDA. (#1280)
- Xa non é posible iniciar accidentalmente múltiples copias do NVDA ó mesmo tempo. (#507)
- En sistemas lentos, NVDA xa non causa que a súa ventá principal se amose inapropriadamente todo o tempo mentres se executa. (#726)
- NVDA xa non se rompe en Windows xP cando se inicia unha aplicación WPF. (#1437)
- Ler todo e ler todo co cursor de revisión agora poderá funcionar en algúns controis de texto UI automation que soporten todos os métodos necesarios. (ex.: agora podes utilizar dicir toda a revisión en documentos de XPS Viewer).
- NVDA xa non clasifica inapropriadamente algúns elementos de lista no aplique de regras de mensaxes no Outlook Express / Windows Live Mail agora o diálogo é como casiñas de verificación. (#576)
- Os cadros combinados xa non se anuncian como tendo un submenú.
- NVDA agora poderá ler o recipiente nos campos para, CC e CCO no Microsoft Outlook. (#421)
- Correxido o fallo no diálogo de Opcións de Voz de NVDA onde o valor das barras de desprazamento  ás veces non se anunciaba cando cambiaban. (#1411)
- NVDA xa non falla ó anunciar a celda nova cando se move nunha folla Excel despóis de cortar e pegar. (#1567)
- NVDA xa non o fai tan mal adiviñando os nomes das cores anunciando a maioría das mesmas.
- No Internet Explorer e outros controis MSHTML, correxiuse a incapacidade para ler partes de páxinas extranas que conteñen iframes marcados cun rol ARIA de presentación. (#1569)
- No Internet Explorer e outros controis MSHTML, correxiuse un problema extrano onde o foco permanecía rebotando infinitamente entre o documento e un campo editable de texto multilínea en modo foco. (#1566)
- No Microsoft Word 2010 NVDA agora lerá automáticamente os diálogos de confirmación. (#1538)
- Nos campos editables multilínea de texto en Internet Explorer e outros controis MSHTML, a selección en liñas despóis do primeiro agora anúnciase correctamente. (#1590)
- Mellorado o movemento por palabras en moitos casos, incluíndo modo navegación e controis de edición de Windows. (#1580)
- O instalador do NVDA xa non amosa texto confuso para versións para Hong Kong de Windows Vista e Windows 7. (#1596)
- NVDA xa non falla ó cargar o sintetizador de Microsoft Speech API versión 5 se a configuración contén opcións para ese sintetizador pero falta a opción da voz. (#1599)
- No modo navegación de firefox, NVDA xa non se nega a incluir contido que estea dentro dun nodo enfocable con un rol ARIA de presentación.
- No Microsoft Word co braille activado, as liñas en páxinas despóis da primeira páxina agora anúncianse correctamente. (#1603)
- No Microsoft Word 2003, as liñas de texto de dereita a esquerda poden lerse unha vez de novo co braille activado. (#627)
- No Microsoft Word, ler todo agora funciona correctamente cando o documento non remata cun final de frase.
- Cando se abre unha mensaxe de texto chan no Windows Live Mail 2011, NVDA enfocará correctamente o documento de mensaxe permitindo que se lea.
- NVDA xa non se colga ou se nega a falar temporalmente cando está nos diálogos Mover a / Copiar a no Windows Live Mail. (#574)
- No Outlook 2010, NVDA agora seguirá correctamente o foco na lista de mensaxes. (#1285)
- Resolvéronse algúns problemas de conexión de USB ca liña braille MDV Lilli. (#241)
- En Internet explorer e outros controis MSHTML, os espazos xa non se ignoran en modo navegación en certos casos (é dicir despois dunha liga).
- En Internet Explorer e outros controis MSHTML, foron eliminados algúns extranos cambios de liña en modo navegación. Específicamente, elementos HTML cun estilo de pantalla None xa non forza un salto de liña. (#1685)
- Se NVDA non é capaz de iniciarse, o fracaso para reproducir o son de parada crítica de Windows xa non anula a mensaxe de erro crítico no ficheiro de log.


== Cambios para Desenroladores ==
- A documentación de desenvolvedores agora pode xerarse utilizando SCons. mira readme.txt na raíz da distribución fonte para detalles, incluíndo dependencias asociadas.
- As Localizacións agora poden proporcionar descripcións para carácteres. Mira a sección Character Descriptions da Developer Guide para detalles. (#55)
- As Localizacións agora poden proporcionar información acerca da pronunciación de pontoación específica e outros símbolos. Mira a sección Symbol Pronunciation da Developer Guide para detalles. (#332)
- Agora podes compilar NVDAHelper con varias opcións de depuración utilizando a variable nvdaHelperDebugFlags SCons. Mira readme.txt na raíz da distribución de fontes para detalles. (#1390)
- Os controladores de síntesis agora pásanse como unha secuencia de texto e ordes de voz a se falar, en lugar de só texto e un índice.
 - Esto permite índices integrados, cambios de parámetros, etc.
 - Os controladores deberían implementar SynthDriver.speak() en lugar de SynthDriver.speakText() e SynthDriver.speakCharacter().
 - Os métodos antigos utilizaranse se SynthDriver.speak() non se implementou, pero quedaron en desuso e eliminaranse nunha versión futura.
- Eliminouse gui.execute(). Debería utilizarse wx.CallAfter() no seu lugar.
- Eliminouse gui.scriptUI .
 - Para diálogos de mensaxe, utiliza wx.CallAfter(gui.messageBox, ...).
 - Para todos os demáis diálogos, deberían utilizarse os diálogos proprios de wx no seu lugar.
 - Unha nova función gui.runScriptModalDialog() simplifica a utilización de diálogos modais de scripts.
- Agora os controladores de sintetizador poden soportar opcións booleanas.  Mira SynthDriverHandler.BooleanSynthSetting.
- SCons agora accepta unha variable certTimestampServer especifycando a URL dun servidor timestamping para utilizar unhas marcas timestamp authenticode. (#1644)


= 2011.1.1 =
Esta versión corrixe varios problemas de seguridade e outros importantes atopados en NVDA 2011.1.

== Corrección de Erros ==
- O elemento Doar no menú NVDA agora desactívase cando se executa na autentificación, bloqueo, UAC e outras Ventás de pantallas seguras, xa que esto é un risco de seguridade. (#1419)
- Agora é imposible copiar ou pegar dentro da ventá de interface do usuario do NVDA mentres se está en escritorios seguros (Pantalla bloqueada, pantalla do UAC e autentificación de windows) xa que esto é un risco de seguridade. (#1421)
- En Firefox 4, a orde mover ó contido do modo virtual (NVDA+control+espazo) agora funciona como debería escapar de obxectos integrados como contido Flash. (#1429)
- Cando falar teclas de ordes estea activado, os caracteres maiusculados xa non se falan incorrectamente como teclas de ordes. (#1422)
- Cando falar teclas de ordes estea activado,, premendo espazo con outros modificadores que shift (como control e alt) agora anúncianse como unha tecla de ordes. (#1424)
- O Logging agora desactívase completamente cando se execute dende a autentificación, bloqueo, UAC e outras ventás seguras, xa que esto é un risco de seguridade. (#1435)
- No modo de axuda de entrada, os xestos agora conéctanse aínda se non están vencellados a un script (de acordo ca guía do usuario. (#1425)


= 2011.1 =
O subliñable nesta versión inclúe o anunciado de cores para algúns controis; anunciado automático da saída de texto novo en mIRC, PuTTY, Tera Term e SecureCRT; soporte para plugins globais; anunciado de viñetas  e numeración en Microsoft Word; combinacións de teclas adicionais para liñas braille, incluíndo teclas para moverse á liña seguinte e anterior; e soporte para varias liñas braille Baum, HumanWare e APH.

== Novas Características ==
- Agora pódense anunciar as cores para algúns controis. O anunciado automático pódese configurar no diálogo de preferencias de formateado de documentos. Tamén se poden anunciar baixo demanda utilizando a orde de anunciado de formato de texto (NVDA+f).
 - Inicialmente, esto sopórtase en controis de texto estándar IAccessible2 (como en aplicacións de Mozilla), controis RichEdit (como en Wordpad) e controis de texto de IBM Lotus Symphony.
- Nos modos virtuais, agora podes seleccionar por páxina (utilizando shift+AvPáx e shift+RePáx) e por parágrafos  (utilizando shift+control+Flecha Abaixo e shift+control+Flecha Arriba). (#639)
- NVDA agora anuncia a saída do texto novo en mIRC, PuTTY, Tera Term e SecureCRT. (#936)
- Os usuarios agora poden engadir novas combinacións de teclas ou sobreescribir as existentes para calquer script no NVDA proporcionando un sinxelo mapa de movementos de entrada do usuario. (#194)
- Soporte para plugins globais. Os plugins globais poden engadir nova funcionalidade ó NVDA que funcione en todas as aplicacións. (#281)
- Agora escóitase un pequeño pitido cando se teclean caracteres ca tecla shift mentres o BloqMaius estea activado. Esto pódese desactivar desmarcando a nova opción relacionada no diálogo de Opcións de Teclado . (#663)
- Agora anúncianse os saltos de páxina cando nos movemos por liñas en Microsoft Word. (#758)
- As viñetas e a numeración fálanse agora en Microsoft Word cando nos movemos por liñas. (#208)  
- Agora está dispoñible unha orde para activar ou desactivar o modo Durminte para a aplicación actual (NVDA+shift+s). O Modo Durminte (anteriormente coñecido como modo de voz propia) desactiva toda a funcionalidade de lectura da pantalla no NVDA para unha aplicación en particular. Moi útil para aplicacións que proporcionan a súa propria voz e ou características de lectura de pantalla. Preme esta orde de novo para desactivar o Modo Durminte.
- Engadíronse algunhas combinacións de teclas adicionais para liñas braille. Mira a sección Liñas braille Soportadas da Guía do Usuario para detalles. (#209)
- Para conveniencia de desenroladores de terceiras partes, os app modules así como os plugins globais agora pódense recargar sen reinicializar ó NVDA. Utiliza Herramientas -> Recargar plugins en el menú de NVDA o NVDA+control+f3. (#544)
- NVDA agora lembra a posición onde estabas cando voltas a unha páxina anteriormente visitada. Esto aplícase ata que ou o navegador ou NVDA sexan pechados. (#132)
- As liñas braille Handy Tech agora poden utilizarse sen instalar o controlador universal de Handy Tech. (#854)
- Soporte para varias liñas braille Baum, HumanWare e APH. (#937)
- Agora recoñécese a barra de estado en Media Player Classic Home Cinema.
- Agora a liña braille Freedom Scientific Focus 40 Blue pode utilizarse cando se conecte a través do bluetooth. (#1345)

 
== Cambios ==
- A información de posición xa non se anuncia de maneira predeterminada nalgúns casos ónde era normalmente incorrecto; ex.: a maioría dos menús, a barra de aplicacións en execución, a área de notificacións, etc. Nemvargantes, esto pode activarse de novo cunha opción engadida no diálogo de Opcións de presentación de obxectos.
- Axuda de Teclado renomeouse a Axuda de entrada para refrexar que se manexa entrada dende outras fontes que o teclado.
- A localización dun script no código xa non se anuncia na axuda de entrada posto que é irrelevante e críptica para o usuario.
- Cando NVDA detecta que se colgou, continúa interceptando  as teclas modificadoras de NVDA, aíndaque deixa pasar todas as demáis teclas do sistema. Esto prevén ó usuario de conmutar inintencionalmente o BlogMaius, etc. Se premen unha tecla modificadora de NVDA sen realising NVDA has frozen. (#939)
- Se as teclas se manteñen pulsadas despóis de utilizar a orden de deixar pasar, todas as teclas (incluindo repeticións de teclas) agora pásanse ata que a última tecla  sexa soltada.
- Se unha tecla modificadora de NVDA se preme dúas veces en sucesión rápida para pasala e a segunda presionada está pulsada, todas as teclas repetidas agora pasaránse tamén.
- As teclas subir, baixar volume e silenciar agora anúncianse na Axuda de Entrada. Esto podería ser de utilidade se o usuario non sabe que fan esas teclas.
- A tecla rápida para o elemento Cursor de Revisión no menú de Preferencias do NVDA foi cambiado de r a c para eliminar o conflicto co elemento de Opcións de Braille.


== Corrección de Erros ==
- Cando se engade unha nova entrada do diccionario da fala, o título do diálogo agora é "Engadir Entrada de Diccionario" en lugar de "Editar entrada de diccionario". (#924)
- Nos diálogos do diccionario da fala, o contido das columnas da Expresión Regular e sensible ás maiúsculas da lista de entradas de diccionario  preséntase agora na lingua configurada no NVDA en lugar de sempre en Inglés.
- En AIM, a información de posición agora anúnciase en árbores.
- Nas barras de deslizamiento no diálogo Opcións de Voz, flecha arriba/rePáx/inicio agora incrementan a opción e flecha abaixo/AvPáx/fin decreméntana.  Anteriormente, ocurría o oposto, o cal non é lóxico e é inconsistente cas opcións do grupo synth. (#221)
- Nos modos virtuais ca distribución de pantalla deshabilitada, xa non aparecen algunhas extranas liñas en branco.
- Se unha tecla modificadora de NVDA se preme dúas veces rápidamente pero hai unha tecla premeda intervindo, a tecla modificadora de NVDA xa non pasa na segunda presión.
- As teclas de pontoación agora fálanse na axuda de entrada cando a fala da pontoación estea desactivada. (#977)
- No diálogo Opcións de Teclado, os nomes de distribución de teclado agora preséntanse na lingua configurada para o NVDA en lugar de sempre en Inglés. (#558)
- Correxido un problema onde algúns elementos se renderizaban como valdeiros en documentos de Adobe Reader; ex.: as ligas na táboa de contido da Guía do usuario do Apple iPhone IOS 4.1.
- O botón "Utilizar opcións actuais gardadas no logon e outras pantallas seguras" no diálogo de Opcións Xerais de NVDA, funciona se se utilizou inmediatamente despois de que NVDA sexa instalado novamente pero antes de que unha pantalla segura aparecera.  Anteriormente, NVDA anunciaba que o copiado tivo éxito, pero actualmente non tiña efecto. (#1194)
- Xa non é posible ter dous diálogos de opcións do NVDA abertos simultáneamente. Esto corrixe erros onde un diálogo aberto depende doutro diálogo aberto; é dicir, cambiar o sintetizador mentres o diálogo Opcións de Voz está aberto. (#603)
- En sistemas co UAC activado, o botón "Utilizar opcións actualmente gardadas no logon e pantallas seguras" no diálogo de Opcións Xerais do NVDA, xa non falla despois do UAC se o nome da conta do usuario contén un espazo. (#918)
- En Internet Explorer e outros controis MSHTML, NVDA utiliza agora a URL como un derradeiro resorte para determinar o nome dunha liga, máis que presentar ligas valdeiras. (#633)
- NVDA xa non ignora o foco nos menús de AOL Instant Messenger 7. (#655)
- Anunciar a etiqueta correcta para erros no diálogo do corrector de ortografía de Microsoft Word (ex.: Non en diccionario, erro gramatical, pontuación). Anteriormente todos se anunciaban como erro gramatical. (#883)
- Tecleando no Microsoft Word mentres se utiliza unha liña braille xa non debería causar que sexa tecleado texto ilexible, e un extrano colgue cando se preme un sensor de seguemento braille en documentos de Word foi correxido. (#1212) Non obsstante unha limitación é que o texto en árabe pode non lerse xa en Word 2003 e superior, mentres se utiliza unha liña braille. (#627)
- Cando se preme a tecla supr nun campo de edición, o texto/cursor nunha liña braille agora debería actualizarse sempre apropriadamente para reflexar o cambio. (#947)
- Os cambios en páxinas en documentos Gecko2 (Ex.: Firefox 4) mentres se abren múltiples pestanas agora refléxase  adecuadamente por NVDA. Anteriormente só os cambios na primeira pestana se reflexaban. (Mozilla bug 610985)
- NVDA agora pode anunciar apropriadamente as suxerencias para erros gramaticais e de pontoación no diálogo do corrector de ortografía de Microsoft Word. (#704)
- En Internet Explorer e outros controis MSHTML, NVDA xa non presenta áncoras de destiño como ligas valdeiras no seu modo virtual. No seu lugar, estas áncoras agáchanse segundo debería ser. (#1326)
- A navegación de obxectos sobre e dentro de brupos estándar de windows xa non rompe e é asimétrico.
- En Firefox e outros controis baseados en Gecko, NVDA xa non se queda pegado nun submarco se remata cargando antes de outro documento.
- NVDA agora anuncia apropriadamente o seguinte caracter cando se elimina un caracter co suprimir do teclado numérico. (#286)
- Na pantalla de autentificación de Windows XP, O nome de usuario anúnciase unha vez de novo cando o usuario seleccionado se cambiou.
- Correxidos problemas cando ó ler texto en consolas de ordes de Windows o anunciado de números de liña está activado.
 - O diálogo de lista de elementos para modos virtuais agora é utilizable por usuarios videntes.  Todos os controis son visibles en pantalla. (#1321)
- A lista de entradas no diálogo Diccionarios da fala, agora é máis lexible por usuarios videntes.  A lista agora é bastante grande para amosar todas as súass columnas en pantalla. (#90)
- En liñas braille ALVA BC640/BC680 NVDA xa non fai caso omiso das teclas da liña que aínda están sendo pulsadas despois que outra tecla sexa liberada.
- Adobe Reader X xa non rompe cando se pecha un documento sen opcións non etiquetadas antes de que apareza o diálogo de procesamento. (#1218)
- NVDA agora cambia ó controlador de liña braille apropriado cando tornes á configuración gardada. (#1346)
- O asistente de proxecto do Visual Studio 2008 lese correctamente novamente. (#974)
- NVDA xa non falla compretamente ó traballar en aplicacións que conteñan caracteres non ASCII no seu nome do executable. (#1352)
- Cando se le por liñas en AkelPad co salto de palabras activado, NVDA xa non le o primeiro carácter da liña seguinte no final da liña actual.
- No editor de código do Visual Studio 2005/2008, NVDA xa non le todo o texto despois de cada carácter tecleado. (#975)
- Correxido o problema onde algunhas liñas braille non se limpiaban correctamente cando NVDA se pechaba ou se cambiaba a liña braille.
- O foco inicial xa non se fala nalgunhas ocasións dúas veces cando NVDA arrinca. (#1359)
 
 
== Cambios para Desenroladores ==
- SCons is now used to prepare the source tree and create binary builds, portable archives, installers, etc. See readme.txt at the root of the source distribution for details.
- The key names used by NVDA (including key maps) have been made more friendly/logical; e.g. upArrow instead of extendedUp and numpadPageUp instead of prior. See the vkCodes module for a list.
- All input from the user is now represented by an inputCore.InputGesture instance. (#601)
 - Each source of input subclasses the base InputGesture class.
 - Key presses on the system keyboard are encompassed by the keyboardHandler.KeyboardInputGesture class.
 - Presses of buttons, wheels and other controls on a braille display are encompassed by subclasses of the braille.BrailleDisplayGesture class. These subclasses are provided by each braille display driver.
- Input gestures are bound to ScriptableObjects using the ScriptableObject.bindGesture() method on an instance or an __gestures dict on the class which maps gesture identifiers to script names. See baseObject.ScriptableObject for details.
- App modules no longer have key map files. All input gesture bindings must be done in the app module itself.
- All scripts now take an InputGesture instance instead of a key press.
 - KeyboardInputGestures can be sent on to the OS using the send() method of the gesture.
- To send an arbitrary key press, you must now create a KeyboardInputGesture using KeyboardInputGesture.fromName() and then use its send() method.
- Locales may now provide an input gesture map file to add new bindings or override existing bindings for scripts anywhere in NVDA. (#810)
 - Locale gesture maps should be placed in locale\LANG\gestures.ini, where LANG is the language code.
 - See inputCore.GlobalGestureMap for details of the file format.
- The new LiveText and Terminal NVDAObject behaviors facilitate automatic reporting of new text. See those classes in NVDAObjects.behaviors for details. (#936)
 - The NVDAObjects.window.DisplayModelLiveText overlay class can be used for objects which must retrieve text written to the display.
 - See the mirc and putty app modules for usage examples.
- There is no longer an _default app module. App modules should instead subclass appModuleHandler.AppModule (the base AppModule class).
- Support for global plugins which can globally bind scripts, handle NVDAObject events and choose NVDAObject overlay classes. (#281) See globalPluginHandler.GlobalPlugin for details.
- On SynthDriver objects, the available* attributes for string settings (e.g. availableVoices and availableVariants)  are now OrderedDicts keyed by ID instead of lists.
- synthDriverHandler.VoiceInfo now takes an optional language argument which specifies the language of the voice.
- SynthDriver objects now provide a language attribute which specifies the language of the current voice.
 - The base implementation uses the language specified on the VoiceInfo objects in availableVoices. This is suitable for most synthesisers which support one language per voice.
- Braille display drivers have been enhanced to allow buttons, wheels and other controls to be bound to NVDA scripts:
 - Drivers can provide a global input gesture map to add bindings for scripts anywhere in NVDA.
 - They can also provide their own scripts to perform display specific functions.
 - See braille.BrailleDisplayDriver for details and existing braille display drivers for examples.
- The 'selfVoicing' property on AppModule classes has now been renamed to 'sleepMode'.
- the appModule events: event_appLoseFocus and event_appGainFocus have now been renamed to event_appModule_loseFocus and event_appModule_gainFocus respectivly, in order to keep the naming sintax the same between appModules and treeInterceptors etc.
- All braille display drivers should now use braille.BrailleDisplayDriver instead of braille.BrailleDisplayDriverWithCursor.
 - The cursor is now managed outside of the driver.
 - Existing drivers need only change their class statement accordingly and rename their _display method to display.


= 2010.2 =
As características máis notables de esta versión inclúen unha grande simplificación da navegación de obxectos; modos virtuais para contido de Adobe Flash; acceso a moitos controi anteriormente inaccesibles capturando texto escribido á pantalla; revisión chan de texto na pantalla; soporte para documentos de IBM Lotus Symphony; anunciado de cabeceiras de fila e columna de táboa en Mozilla Firefox; unha mellora significativa da documentación do usuario.

== Novas Características ==
- A navegación por obxectos co cursor de revisión foi moi simplificada. O cursor de revisión agora exclúe obxectos que non sexan útiles para o usuario; é dicir, obxectos só utilizados para propósitos de deseño e obxectos non dispoñibles.
- En aplicacións que utilizan o Java Access Bridge (incluindo OpenOffice.org), o formato agora pode informarse nos controis de texto. (#358, #463)
- Cando se move o rato sobre celdas en Microsoft Excel, NVDA anunciaráas apropriadamente.
- En aplicacións que utilizan o Java Access Bridge, o texto dun diálogo agora anúnciase cando o diálogo apareza. (#554)
- Agora pódese utilizar un modo virtual para navegar polo contido de adobe Flash. Navegar por obxectos e interactuar cos controis directamente (activando o modo foco) Xa se soporta. (#453)
- Os controis de texto editable no IDE Eclipse, incluindo o editor de código, agora son accesibles. Debes utilizar Eclipse 3.6 ou superior. (#256, #641)
- NVDA agora pode recuperar a maioría do texto escrito na pantalla. (#40, #643)
	- Esto permite a lectura de controis que non expoñen información en formas máis directas/fiables.
	- Os controis que se accesibilizan por esta característica inclúen: algúns elementos de menú que amosan iconos (ex.: O menú Abrir con en ficheiros en Windows XP) (#151), campos de texto editables en aplicacións Windows Live (#200), a lista de erros en Outlook Express (#582), o control de texto editable en TextPad (#605), listas en Eudora, moitos controis en Australian E-tax e a barra de fórmulas en Microsoft Excel.
- Soporte para o editor de código en Microsoft Visual Studio 2005 e 2008. Ó menos requírese Visual Studio Standard; esto non funciona nas edicións Express. (#457)
- Soporte para documentos en IBM Lotus Symphony.
- Soporte primario e experimental paraGoogle Chrome. Por favor ten en conta que o soporte para lectores de pantalla de Chrome está lonxe de compretarse e requerirá traballo adicional tamén en NVDA. Necesitarás unha compilación de desenrolo recente de Chrome para probar esto.
- O estado das teclas conmutables (Bloq Maius, bloq núm e bloqueo de desprazamento) agora amósase en braille cando se pulsan. (#620)
- Os globos de axuda agora amósanse en braille cando aparezan. (#652)
- Engadido un controlador para a liña braille MDV Lilli. (#241)
- Cando se selecciona unha fila ou unha columna completa en MS Excel cas teclas de atallo shift+espazo e control+espazo, a nova selección agora anúnciase (#759)
- As cabeceiras de fila e columna agora poden anunciarse. Esto é configurable dende o diálogo de preferencias de formato de documento.
 - Actualmente, esto sopórtase en documentos en aplicacións de Mozilla como Firefox e Thunderbird. (#361)
- Introducidas ordes para a revisión chan: (#58)
 - NVDA+7 teclado numérico cambia a revisión plana, poñendo o cursor de revisión na posición do obxecto actual, permitíndoche revisar a pantalla (ou un documento se se está dentro dun) cas ordes de revisión de texto.
 - NVDA+1 teclado numérico move o cursor de revisión ó obxecto representado polo texto na posición do cursor de revisión, permitíndoche navegar por obxectos dende ese punto.
- As opcións de usuario actuais do NVDA poden copiarse para utilizarse nas pantallas de autentificación/UAC, premendo un botón no diálogo Opcións Xerais.


== Ccambios ==
- Ler todo no navegador de obxectos  (NVDA+máis do teclado numérico), seguinte obxecto en fluxo do navegador de obxectos (NVDA+shift+6 do teclado numérico) e anterior obxecto en fluxo no navegador de obxectos (NVDA+shift+4 do teclado numérico) foron eliminados de momento, debido a fallos e para liberar as teclas para outras posibles características.
- No diálogo de sintetizadores de NVDA, agora só se amosa o sintetizador listado. Anteriormente, prefixábase co nome do controlador, que só é relevante internamente.
- Cando se está en aplicacións empotradas ou modos virtuais dentro doutro modo virtual (ex.: Flash), agora podes premer nvda+control+espazo para saír da aplicación empotrada ou modo virtual, ó documento principal. Anteriormente, nvda+espazo   utilizábase para esto. Agora nvda+espazo é só específicamente para conmutar os modos revisión/foco nos modos virtuais.
- Se ó visor de voz (activable no menú Ferramentas) se lle deu o foco (ex.: fíxose clic) o texto novo non aparecerá no control ata que o foco se mova. Esto permítese para seleccionar o texto con maior facilidade (ex.: para copiar).
- O visualizador de Log e a consola de Python maximízanse cando se activen.
- Cando se enfoca unha folla de cálculo en MS Excel, e hai máis dunha celda seleccionada, anúnciase o alcance da selección, en lugar de só a celda activa. (#763)
- O gardado da configuración, e o cambio de opcións sensibles en particular, agora desactívase cando se execute en modo seguro (nas pantallas de autentificación/UAC).
- Actualizado o sintetizador de voz eSpeak a 1.44.01.
- Se NVDA xa está executándose, activando o atallo de teclado do NVDA no escritorio (que é o premedo de control+alt+n) reiniciará ó NVDA.
- Elimínase a casiña de verificación anunciar texto baixo o rato do diálogo Opcións do Rato e reenprázase cunha casiña de verificación Activar seguemento do Rato, que mellora o emparellado do conmutado do script de seguemento do rato (NVDA+m). 
- Actualízase a distribución de teclado laptop tal que inclúa todas as ordes dispoñibles na distribución desktop e funciona correctamente en teclados non ingleses. (#798, #800)
- Melloras significativas e actualizacións á documentación do usuario, incluindo documentación das ordes de teclado laptop e sincronización da Referencia Rápida de Ordes de Teclado ca Guía do Usuario. (#455)
- Actualizado o transcriptor braille liblouis á versión 2.1.0. Notablemente, esto corrixe algúns problemas relacionados co Braille Chinés


== Corrección de Fallos ==
- En µTorrent, o elemento enfocado na lista de torrents xa non informa repetidamente ou escamotea o foco cando se abre un menú.
- En aplicacións de Mozilla, agora o foco detéctase correctamente cando aterriza nunha táboa valdeira ou árbore.
- En aplicacións de Mozilla, "non marcado" agora infórmase correctamente para controis marcables como celdas de táboa marcables. (#571)
- En aplicacións de Mozilla, o texto de diálogos aria correctamente implementados xa non se ignora e agora informarase cando o diálogo apareza.
- En Internet Explorer e outros controis MSHTML, o atributo nivel de ARIA agora se cumpre correctamente.
- En Internet Explorer e outros controis MSHTML, o rol ARIA agora escóllese sobre outro tipo de información para dar unha experiencia de ARIA moito máis correcta e predecible.
- Detido un raro colgue en Internet Explorer cando se navega por marcos ou iFrames.
- En documentos de Microsoft Word, as liñas de dereita a esquerda (como no texto árabe) poden lerse de novo. (#627)
- Forte reducción de retraso cando grandes cantidades de texto amosábanse nunha consola de ordes de Windows en sistemas de 64 bits. (#622)
- En aplicacións de Microsoft Office, NVDA xa non se colga cando se premeu falar primeiro plano (NVDA+b) ou cando se navegan algúns obxectos en barras de ferramentas. (#616)
- Correxida a fala incorrecta de números que conteñen un 0 despois dun separador; ex.: 1.023. (#593)
- Adobe Acrobat Pro e Reader 9 xa non se colgan cando se pecha un ficheiro ou se levan a cabo outras certas tarefas. (#613)
- A selección anúnciase agora cando se preme control+a para seleccionar todo o texto nalgúns controis de texto editables como en Microsoft Word. (#761)
- Nos controis de Scintilla (ex.: Notepad++), O texto xa non se selecciona incorrectamente cando NVDA move o cursor do sistema tal como durante ler todo. (#746)
- É posible de novo revisar o contido de celdas en MS Excel co cursor de revisión.
- NVDA pode ler de novo por liñas en certos campos de área de texto problemáticos en Internet Explorer 8. (#467)
- Windows Live Messenger 2009 xa non se pecha inmediatamente despois de iniciarse mentres NVDA se executa. (#677)
- Nos navegadores web, xa non é necesario premer tab para interactuar cun obxecto empotrado (tal como contido Flash) despois de premer intro no obxecto empotrado ou voltando dende outra aplicación. (#775)
- En controis de Scintilla (ex.: Notepad++), o comezo de liñas longas xa non se curta cando sobrepasan a pantalla. Tamén, estas liñas longas amosaránse correctamente en braille cando se seleccionen.
- En Loudtalks, agora é posible acceder á lista de contactos.
- A URL do documento e "MSAAHTML Registered Handler" xa non se anuncia ás veces falso en Internet Explorer e outros controis MSHTML. (#811)
- En árbores no IDE de Eclipse,  o elemento enfocado anteriormente xa non se anuncia incorrectamente cando o foco se move a un novo elemento.


= 2010.1 =
Esta revisión enfócase principalmente en corrección de fallos e melloras á experiencia do usuario, incluindo algunhas correccións significativas de estabilidade.


== Novas características ==
- 	NVDA xa non falla ó arrancar nun sistema sen dispositivos de saída de audio. Obviamente, será necesario utilizar unha líña braille ou o Display synthesiser para a saída neste caso. (#425)
- Foi engadida unha casiña de verificación Anunciar pontos de referencia ó diálogo de Opcións de formato de Documento que che permite configurar se NVDA debería anunciar pontos de referencia en documentos web. Para compatibilidade ca versión anterior, a opción está activada de maneira predeterminada.
- Se falar teclas de ordes está activada NVDA agora anunciará os nomes das teclas multimedia (ex.: reproducir, deter, páxina de comezo, etc.) cando sexan premedas. (#472)
- NVDA agora anuncia a palabra que estea sendo eliminada cando se prema control+retroceso en controis que o soporten. (#491)
- As flechas de cursor agora poden ser utilizadas na ventá do formateador Web para navegar e ler o texto. (#452)
- Mellor soporte de documentos empotrados editables do NVDA (modo de deseño) en Internet Explorer. (#402)
- Un novo script (nvda+shift+menos do teclado numérico) permíteche mover o foco do sistema ó navegador de obxectos actual.
- Novos scripts para bloquear e desbloquear os botóns esquerdo e dereito do rato. Útil para levar a cabo operacións de arrastrar e soltar. shift+dividir do teclado numérico para bloquear/desbloquear o esquerdo, shift+multiplicar do teclado numérico para bloquear/desbloquear o dereito.
- Novas táboas de transcripción braille: braille computerizado Alemán de 8 pontos, Alemán grao 2, braille computerizado Finés de 8 pontos, Chinés (Hong Kong, Cantonés), Chinés (Taiwan, Mandarín). (#344, #369, #415, #450)
- Agora é posible desactivar a creación do atallo do escritorio (e así a tecla de atallo) cando se instala o NVDA. (#518)
- NVDA agora pode utilizar IAccessible2 cando estean presentes en aplicacións de 64 bit. (#479)
- A API NVDA Controller Client proporciónase agora para permitir ás aplicacións controlar ó NVDA; ej.: para falar texto, silenciar a voz, amosar unha mensaxe en Braille, etc.
- As mensaxes de información e erro agora lense na pantalla do logon no Windows Vista e no Windows 7. (#506)
- No Adobe Reader, os formularios PDF interactivos desenvolvidos co Adobe LiveCycle agora son soportados. (#475)
- No Miranda IM, NVDA agora le automáticamente as mensaxes de entrada en ventás de chat se o anunciado de cambios de contido dinámico se activaron. Tamén, foron engadidas as ordes para anunciar as tres mensaxes máis recentes (NVDA+control+número). (#546)
- Agora sopórtanse campos de entrada de texto en contido de Adobe Flash. (#461)
-

== Cambios ==
- A mensaxe de axuda de teclado extremadamente verboso no menú de Inicio de Windows 7 Xa non se anuncia.
- O sintetizador Display agora foi reemplazado cun novo Visualizador de Fala. Para activalo, escolle Visualizador da Fala dende o menú Ferramentas. O Visualizador da Fala pode ser utilizado independientemente de con que outro sintetizador de voz estés a traballar.
- As mensaxes na liña braille serán rexeitados automáticamente se o usuario preme unha tecla que signifique un cambio como o movemento do foco. Anteriormente a mensaxe sempre permanecería segundo o seu tempo configurado.
- A Opción para axustar o braille ó foco ou ó cursor de revisión (NVDA+control+t) agora pode ser tamén configurada dende o diálogo de opcións braille, e agora tamén se garda na configuración do usuario.
- Actualizado o sintetizador de voz eSpeak a 1.42.04.
- Actualizado o transcriptor braille liblouis a 1.8.0.
- Nos modos virtuais, o anunciado de elementos cando se move por caracteres ou palabras foi moi mellorado. Anteriormente, era anunciada unha grande cantidade de información irrelevante e o anunciado era moi diferente a eso cando se move por liñas. (#490)
- A tecla Control agora sinxelamente detén a voz como outras teclas, en lugar de pausar a voz. Para pausar/reanudar a voz, utiliza a tecla shift.
- Xa non se anuncia a conta de filas e columnas de táboa cando se anuncian os cambios do foco, posto que este anunciado é demasiado verboso e normalmente non é útil.
-


== Corrección de Fallos ==
- NVDA xa non falla ó arrancar se o soporte UI Automation parece estár dispoñible pero falla ó inicializarse por algunha razón. (#483)
- Todo o contido dunha fila dunha táboa xa non é anunciado ás veces cando se move o foco entre celdas en aplicacións de Mozilla. (#482)
- NVDA xa non se retrasa durante un tempo longo cando se expanden elementos da vista en árbore que conteñan unha cantidade moi grande de sub-elementos.
- Cando se listan voces SAPI 5, NVDA agora intenta detectar voces defectuosas e excluilas do diálogo de Opcións de Voz e do grupo de Opcións de Sintetizador. Anteriormente, cando había unha voz problemática, o controlador SAPI 5 de NVDA fallaba algunhas veces ó iniciarse.
- Os modos virtuais agora anuncian as teclas de atallo do obxecto opción que se atopa no diálogo Presentación de Obxectos. (#486)
- Nos modos virtuais, as coordenadas de fila/columna xa non se len incorrectamente por cabeceiras de fila e columna cando o anunciado de táboas está desactivado.
- Nos modos virtuais, as coordenadas de fila/columna agora son correctamente lidas cando abandoas unha táboa e logo voltas a entrar na mesma celda da táboa sen visitar outra celda primeiro; ex.: premendo flecha arriba e logo flecha abaixo sobre a primeira celda dunha táboa. (#378)
- As liñas en branco nos documentos do Microsoft Word e dos controis de edición de Microsoft HTML agora amósanse apropriadamente en liñas braille. Anteriormente NVDA amosaba a frase actual na liña, non a liña actual para estas situacións. (#420)
- Múltiples correccións de seguridade cando se executa ó NVDA no Logon de Windows e en outros Escritorios Seguros.
- A posición do cursor (cursor do sistema) agora actualízase correctamente cando se leva a cabo unha Lectura Compreta que se pase do final da pantalla, en campos de edición estándar de Windows e documentos de Microsoft Word. (#418)
- Nos modos virtuais, o texto xa non é incluído incorrectamente por imaxes dentro de ligas e cliqueables que son marcados como irrelevantes para os lectores de pantalla. (#423)
- Correccións para a distribución de teclado laptop. (#517)
- Cando o braille está seguindo á revisión cando enfocas nunha ventá de consola do dos, o cursor de revisión agora pode navegar apropriadamente polo texto na consola.
- Mentres se traballa con TeamTalk3 ou TeamTalk4 Classic VU a barra de progreso contador na ventá principal xa non se anuncia segundo se actualiza. Tamén os caracteres especiales poden lerse apropriadamente na ventá de entrada do chat.
- Os elementos xa non son falados dúas veces no menú de inicio de Windows 7. (#474)
- Activando ligas á mesma páxina en Firefox 3.6 móvese o cursor apropriadamente no modo virtual ó lugar correcto na páxina.
- Correxido o problema onde algún texto non era proporcionado en Adobe Reader en certos documentos PDF.
- NVDA xa non fala incorrectamente certos números separados por un guión; ex.: 500-1000. (#547)
- En Windows XP, NVDA xa non causa que Internet Explorer se colgue cando se conmutan casiñas de verificación en Windows Update. (#477)
- Cando se utiliza no sintetizador eSpeak incorporado, simultáneamente voz e pitidos xa non causa colgues intermitentes en algúns sistemas. Esto era máis evidente, por exemplo, cando se copian cantidades grandes de datos en Windows Explorer.
- NVDA xa non anuncia que un documento de Firefox se encheu (ex.: debido a unha actualización ou refresco) cando ese documento está en segundo plano. Esto tamén causaba que a barra de estado da aplicación en primeiro plano sexa anunciada falsamente.
- Cando se cambian distribucións de teclado de Windows (con control+shift ou alt+shift), o nome completo da distribución anúnciase en voz e braille. Anteriormente só se anunciaba en voz, e distribucións alternativas (ex.: Dvorak) non se anunciaban.
- Se o anunciado de táboas se desactivou, a información de táboa xa non se anuncia cando o foco ccambie.
-



= 2009.1 =
O máis suliñable desta versión inclúe o soporte para edicións de 64 bit de Windows; soporte moi mellorado para os documentos de Microsoft Internet Explorer e de Adobe Reader; soporte para Windows 7; a leitura das pantallas de  logon de Windows, control+alt+supr e el control de contas de usuario (UAC); e a capacidade para interactuar cos contidos de Adobe Flash e de Sun Java en páxinas web. Tamén fivemos varias correccións siñificativas de estabilidade e melloras á experiencia de usuario xeral.

== Novas Características ==
- ¡Soporte oficial para edicións de 64 bit de Windows! (#309)
- Engadido un controlador de sintetizador para o sintetizador Newfon. Ten en conta que esto require unha versión especial de Newfon. (#206)
- Nos modos virtuais, o modo foco e o modo revisión agora poden ser anunciados utilizando sons en lugar da voz. Esto está activado de maneira predeterminada. Pode ser configurado dende o diálogo de Modo Virtual. (#244)
- NVDA xa non cancela a voz cando as teclas de control do volume son premedas no teclado, permitindo ó usuario cambiar o volume e escoitar os resultados actuais inmediatamente. (#287)
- Reescribido Completamente o soporte para documentos de Microsoft Internet Explorer e Adobe Acrobat. Este soporte foi unificado co soporte interno utilizado por Mozilla Gecko, así características como a interpretación máis rápida de páxina, navegación extensa e rápida, lista de ligas, selección de texto, modo foco automático e soporte de braille están agora dispoñibles con estos documentos.
- Mellorado o soporte para o control da selección de data atopado no diálogo de propiedades de data/Hora en Windows Vista.
 - Mellorado o soporte para o menú de inicio Moderno XP/Vista (específicamente os menús Todos os programas e lugares). A información de nivel apropriada é agora anunciada.
- A cantidade de texto que é anunciada co movemento do rato, é agora configurable dende o diálogo Opcións do rato. unha elección de párrafo, liña, palabra ou caracter pode ser feita.
- Anúncianse erros de ortografía baixo o cursor en Microsoft Word.
- soporte para a corrección ortográfica en Microsoft Word 2007. Soporte Parcial podería estar dispoñible para versións anteriores de Microsoft Word.
- soporte para Windows Live Mail (específicamente agora as mensaxes de texto chan poden seren lidos).
- En Windows Vista, se o usuario se move ó escritorio seguro (ou porque un diálogo de control do UAC aparece, ou porque foi premedo control+alt+supr), NVDA anunciará o feito de que o usuario agora está no escritorio seguro.
- NVDA pode anunciar texto baixo o rato dentro de ventás da consola do dos.
- Soporte para UI Automation a traverso da API cliente UI Automation dispoñible en Windows 7, así como se mellora a experiencia de NVDA en Windows 7.
- NVDA pode ser configurado para iniciarse automáticamente despois de que te identifiques no Windows. a opción está  no diálogo Opcións Xerais.
- NVDA pode ler pantallas seguras de Windows como a autentificación de Windows (logon), control+alt+suprimir e pantallas do UAC en Windows XP e posteriores. A leitura das pantallas de autentificación de Windows (logon) pode ser configurada dende o diálogo de Opcións Xerais. (#97)
- Engadido un controlador para as liñas braille da serie Optelec ALVA BC6.
- Cando se navega por documentos web, agora podes premer n e shift+n para saltar cara adiante e cara atrás pasando bloques de ligas, respectivamente.
- Cando se navega por documentos web, os pontos de referencia de ARIA agora son anunciados, e podes moverte adiante e atrás a traverso deles utilizando d e shift+d, respectivamente. (#192)
- O diálogo de lista de ligas dispoñible cando se exploran documentos web convertiuse agora nun diálogo Lista de Elementos que pode listar ligas, cabeceiras e pontos de referencia. As cabeceiras e pontos de referencia son presentados xerárquicamente. (#363)
- O novo diálogo Lista de Elementos filtra a lista segundo escribas para conter só aquéles elementos incluído o texto que foi tecleado. Podes premer retroceso para limpiar o filtro tal que todos os elementos sexan presentados novamente. (#173)
- As versións portátiles do NVDA agora procuran no directorio 'userConfig' dentro do directorio de NVDA, as configuracións do usuario. Como a versión do instalador, esto mantén a configuración do usuario separada do NVDA.  
- Os módulos personais de apps, os controladores de liñas braille e os controladores de sintetizadores agora poden ser almacenados  no directorio da configuración do usuario. (#337)
- Os modos virtuais agora son interpretados en segundo plano, permitindo ó usuario interactuar co sistema ata certo ponto durante o proceso de interpretado. O usuario será notificado de que o documento está sendo interpretado se lle levará máis dun segundo.
- Se NVDA detecta que se colgou por algunha razón, Pasará automáticamente por todas as pulsacións para que o usuario teña unha mellor posibilidade de recuperación do sistema.
- Soporte para arrastrar e soltar en ARIA en Mozilla Gecko. (#239)
- A selección do título do documento e liña actual agora é falada cando movas o foco dentro dun modo virtual. Esto fai que o comportamento cando se move o foco nos modos virtuais sexa consistente como nun documento normal. (#210)
	- Nos modos virtuais, agora podes interactuar cos obxectos empotrados (como contidos Adobe Flash e Sun Java) premendo intro sobre o obxecto. Se é accesible, podes entón tabular por el como calquera outra aplicación. Para voltar o foco ó documento, preme NVDA+espacio. (#431)
- Nos modos virtuais, o e shift+o moven ó seguinte e ó anterior obxecto empotrado, respectivamente.
-

	
== Cambios ==
- NVDA xa non anuncia "NVDA activado" cando arranca.
- Os sons de arranque e finalización agora son reproducidos utilizando o dispositivo de saída de audio configurado en NVDA en lugar do dispositivo de audio predeterminado de Windows. (#164)
- O anunciado das barras de progreso foi mellorado. O máis notable é que agora podes configurar ó NVDA para anunciálas a traverso da voz e pitidos ó mesmo tempo.
- Algúns roles xenéricos, como panel, aplicación e marco, xa non son anunciados  no foco a menos que o control non teña nome.
- A orde de copia de revisión (NVDA+f10) copia o texto dende enriba da marca de comezo e inclúe a posición actual de revisión, en lugar de excluir a posición actual. Esto permite que o último caracter de unha liña seren copiado, o que non era posible anteriormente. (#430)
- O script  navigatorObject_where (ctrl+NVDA+numpad5) foi eliminado. Esta combinación de teclas non funcionaba nalgúns teclados, nin o script era atopado útil.
- O script navigatorObject_currentDimentions foi remapeado a NVDA+supr do teclado numérico. A antiga combinación de teclas non funcionaba nalgúns teclados. Este script agora tamén anuncia o ancho e o alto do obxecto en lugar das coordenadas dereita/inferior.
- Mellorado o rendemento (especialmente en netbooks) cando ocurren moitos pitidos en sucesión rápida; ej.: movementos rápidos co rato cas coordenadas de audio activadas. (#396)
-


== Corrección de Erros ==
- Cando o NVDA está executándose dende unha ruta de DOS 8.3, pero está instalado na ruta longa relacionada (ej.: progra~1 versus program files) NVDA identificará correctamente que é unha copia instalada e carga apropriadamente as opcións de usuario.
- A fala do título da ventá actual en primeiro plano con nvda+t funciona agora correctamente cando se está nos menús.
- O braille xa non amosa información innecesaria no seu contexto de foco tal como paneis non etiquetados.
- Detense o anunciado de algunha información innecesaria cando o foco cambia como paneis raíz, paneis solapados e paneis deslizables en aplicacións Java ou Lotus.
- Faise que o campo de procurar palabras clave  no visualizador de Axuda de Windows (CHM) sexa moito máis usable. Debido á cantidade de fallos nese control, a palabra clave actual non podería ser lida xa que estaría continuamente cambiando.
- Anúncianse os números correctos de páxina en Microsoft Word se a numeración de páxina foi específicamente configurada  no documento.
- Mellor soporte para campos de edición atopados en diálogos de Microsoft Word (ex.: o diálogo Fontes). agora é posible navegar estos controis cas flechas.
- mellor soporte para consolas do Dos. específicamente: NVDA agora pode ler o contido de consolas particulares que Sempre se pensou que estaban en blanco. Premendo control+break xa non apagan a NVDA.
- En Windows Vista, o instalador de NVDA agora arranca a NVDA con privilexios dun usuario normal cando se requira para executar ó NVDA  na pantalla final.
- O Retroceso agora é manexado correctamente cando se falan palabras ó se escribir. (#306)
- Non se anuncia incorrectamente "Menú inicio" para certos menús de contexto no Windows Explorer/Windows shell. (#257)
- NVDA agora manexa correctamente etiquetas de ARIA en Mozilla Gecko cando non hai outro contido útil. (#156)
- NVDA xa non activa incorrectamente o modo foco automáticamente para campos de texto editable que actualizan o seu valor cando o foco cambia; ex.: http://tigerdirect.com/. (#220)
- NVDA agora intentará recuperarse dalgunhas situacións que anteriormente causarían que se colgara completamente. Poderá tomar sobre 10 segundos para que NVDA detecte e se recupere de tales colgues.
- Cando a lingua do NVDA está axustada a "User default", utiliza a lingua do usuario de Windows configurada en lugar da local de windows.
- NVDA agora recoñece a existencia de controis en AIM 7.
- A orde de deixar pasar a tecla xa non se queda atascada se unha tecla é mantida premeda. Anteriormente, NVDA detiña o aceptado de ordes se esto ocurría e tiña que ser reiniciado. (#413)
- A barra de tarefas xa non é ignorada cando recibe o foco, o que amenudo ocurre cando se sae dunha aplicación. Anteriormente, NVDA comportábase como se o foco non tivera cambiado.
- Cando se len campos de texto en aplicacións que utilizan o Java Access Bridge (incluindo OpenOffice.org), NVDA agora funciona correctamente cando o anunciado de números de liña está activado.
- A orde de copia en revisión (NVDA+f10) manexa elegantemente o caso onde sexa utilizado nunha posición antes do marcador de comezo. Anteriormente, esto podía causar problemas como colgues en Notepad++.
- Certo caracter de control (0x1) xa non causa unha extrana conducta en eSpeak (como cambios  no volume tono) cando se atopa nun texto. (#437)
-


= 0.6p3 =


== Novas Características ==
- Como a barra de fórmulas de Microsoft Excel é inaccesible para NVDA, proporciónase un cadro de diálogo específico de NVDA para editar cando o usuario prema f2 sobre unha celda. 
- Soporte para formato en controis de texto de IAccessible2, incluindo aplicacións de Mozilla.
- Deletrear erros pode ser anunciado agora onde sexa posible. Esto é configurable dende o diálogo de preferencias Formato de Documentos.
- NVDA pode ser configurado para pitar para todas ou só para as barras de progreso visibles. Alternativamente, pode ser configurado para falar os valores das barras de progreso cada 10%.
- As ligas poden agora ser identificadas en controis de edición multiliña.
- O rato pode agora ser movido ó caracter baixo o cursor de revisión  na maioría dos controis de texto editables. Previamente, O rato só podía ser movido ó centro do control.
- Nos modos virtuais, O cursor de revisión agora revisa o texto do modo, antes que só o texto interno do navegador de obxectos (o que amenudo non é útil para o usuario). Esto siñifica que podes navegar o modo virtual xerárquicamente utilizando navegación de obxectos e o cursor de revisión moverá a ese ponto  no modo.
- Manexo dalgúns estados adicionais en controis de Java.
- Se a orde de título (NVDA+t) é premeda dúas veces rápidamente, deletrea o título. Se se premeu tres veces, é copiado ó portapapeis.
- A axuda de teclado agora le os nomes das teclas modificadoras cando se premeron soas.
- Os nomes de tecla anunciados pola axuda de teclado están agora traducidos.
- Engadido soporte para o texto recoñecido en campos de SiRecognizer. (#198)
- ¡Soporte para liñas braille!
- Engadida unha orde (NVDA+c) para anunciar o texto  no portapapeis de Windows. (#193)
- agora podes premer escape cando estás en modo foco para voltar ó modo revisión.
- Nos modos virtuais, cando o foco cambia ou o cursor é movido, NVDA pode cambiar automáticamente a modo foco ou modo revisión segundo proceda para o control baixo o cursor. Esto é configurado dende o diálogo de Modo virtual. (#157)
- Reescribido o controlador de sintetizador SAPI4 o que reemplaza ós controladores sapi4serotek e sapi4activeVoice e debería solucionar os problemas atopados con estos controladores.
- A aplicación NVDA agora inclúe un manifesto, o que siñifica que non se executará máis en modo de compatibilidade en Windows Vista.
- O ficheiro de configuración e os diccionarios da Fala son gardados agora  no directorio de datos do usuario se NVDA foi instalado utilizando o instalador. Esto é necesario para Windows Vista e tamén permite a múltiples usuarios ter configuracións individuais para NVDA.
- Engadido soporte para información de posición para controis IAccessible2.
- Engadida a capacidade para copiar texto ó portapapeis utilizando o cursor de revisión. NVDA+f9 axusta a marca de comezo na posición actual do cursor de revisión. NVDA+f10 recupera o texto entre a marca de comezo e a posición actual do cursor de revisión e cópiao ó portapapeis. (#240)
- Engadido soporte para algúns controis de edición  no programa pinacle tv.
- Cando se anuncia texto seleccionado para selecciones longas (512 caracteres ou máis), NVDA fala agora o número de caracteres seleccionados, en lugar de falar toda a selección. (#249)
-


== Cambios ==
- Se o dispositivo de saída de audio é axustado para utilizar o dispositivo predeterminado de Windows (Microsoft Sound Mapper), NVDA cambiará agora ó novo dispositivo predeterminado para eSpeak e tons cando o dispositivo predeterminado cambie. Por exemplo, NVDA cambiará a un dispositivo de audio USB se se fai dispositivo predeterminado automáticamente cando se conecte.
- Mellórase o rendemento de eSpeak con algúns controladores de audio en Windows Vista.
- Ler por frase en controis de texto enriquecido se é posible.
- O anunciado de ligas, cabeceiras, listas e citas en documentos é configurado agora  no diálogo de 	* A velocidade é agora a opción predeterminada  no grupo das opcións de voz do sintetizador.
- Mellórase a carga e descarga dos appModules.
- A orde de título (NVDA+t) agora só informa do título en lugar de todo o obxecto. Se o obxecto en primeiro plano non ten nome, o nome de proceso da aplicación é utilizado.
- En lugar de activar e desactivar o paso a traverso do modo virtual, NVDA agora anuncia modo foco (paso por modo virtual activado) e modo revisión (paso por modo virtual desactivado).
- As voces agora son gardadas  no ficheiro de configuración por ID en lugar de por index. Esto fai as opcións de voz máis seguras a traverso dos cambios dos sistemas e as configuracións. A opción de voz non será preservada en todas as configuracións e un erro poderá ser amosado no log a primeira vez que un sintetizador sexa utilizado. (#19)
- O nivel dun elemento de vista de árbore agora é anunciado primeiro se cambiou dende o elemento enfocado anteriormente para todas as vistas en árbore. Anteriormente, esto só ocurría para vistas en árbore nativas de Windows (SysTreeView32).
-


== Corrección de Erros ==
- O derradeiro anaco de audio non é cortado xa cando se utilice NVDA co eSpeak nun servidor de escritorio remoto.
- Corríxense problemas co gardado de diccionarios da fala para certas voces.
- Eliminación de retraso cando se mova por outras unidades que non sexan caracter (palabra, liña, etc.) cara o final dos documentos de texto plano longos nos modos virtuais de Mozilla Gecko. (#155)
- Se falar palabras ó se escribir está habilitado, anuncia a palabra cando se prema intro.
- Correxidos algúns grupos de sucesións de caracteres en documentos enriquecidos. preferencias de Formato de Documentos. Esto inclúe modos virtuais de Mozilla Gecko.
- O visualizador de log de NVDA agora utiliza cadros multiliña en lugar de só editar para amosar o log. Esto mellora a leitura por palabras co NVDA e permítelle ler o texto do log máis aló dos 65535 bytes.
- Correxidos algúns fallos relacionados cos obxectos empotrados en controis de edición multiliña.
- NVDA agora le os números de páxina en Microsoft Word. (#120)
- corríxese o fallo cando tabulando cara unha casiña de verificación marcada nun modo virtual de Mozilla Gecko e premendo espazo non anunciaba que a casiña de verificación estaba sendo desmarcada.
- Informa correctamente as casiñas de verificación parcialmente marcadas en aplicacións Mozilla.
- Se a selección de texto expándese ou contráese en ambas direccións, le a selección coma un anaco en lugar de dous.
- Cando se le co rato, o texto nos campos de edición de Mozilla Gecko deberían ser agora lido.
- Ler todo non debería causar que certos sintetizadores SAPI5 se colguen.
- Correxido un fallo que siñificaba que cambios  na selección de texto non estiveran sendo lidos en controis estándares de edición de Windows antes do primeiro cambio do foco despois que NVDA fora iniciado.
- Correxido o seguemento do rato en obxectos Java. (#185)
- NVDA xa non anuncia os elementos das árbores Java sen fillos como se estiveran contraídos.
- Anuncia o obxecto co foco cando unha ventá Java é traída ó primeiro plano. Anteriormente, só o obxecto de nivel superior Java era anunciado.
- O controlador do sintetizador eSpeak non se detén xa completamente mentres fala despois de un sinxelo erro.
- Corríxese o fallo mediante o que actualizar parámetros de voz (velocidade, ton, etc.) non foi gardado cando a voz foi cambiada dende o grupo das opcións de sintetizador.
- Mellorada a fala de caracteres e palabras escritas.
- Algún texto novo que anteriormente non era falado en aplicacións da consola de texto (como algún texto de xogos conversacionais) é agora falado.
- NVDA agora ignora cambios do foco nas ventás en segundo plano. Anteriormente, un cambio do foco en segundo plano podía ser tratado como se o foco real cambiase.
- Mellorada a detección do foco cando se abandoan os menús de contexto. Anteriormente, NVDA amenudo non reaccionaba de todo cando se abandoaba un menú de contexto.
- NVDA agora anuncia cando o menú de contexto é activado  no menú de Inicio.
- O menú de Inicio clásico agora é anunciado como Menú de Inicio en lugar de Menú Aplicación.
- Mellorada a leitura de alertas como aquélas atopadas en Mozilla Firefox. O texto non debería ser lido xa múltiples veces e outra información extrana non será xa lida. (#248)
- O texto enfocable, campos de edición de só leitura non serán xa incluídos cando se recolla o texto de diálogos. Esto corrixe, por exemplo, a leitura automática de toda a aceptación da licencia nos instaladores.
- NVDA xa non anuncia a deselección de texto cando se abandoen algúns controis de edición (exemplo: barra de enderezo en Internet Explorer, campos de enderezo en correo electrónico en Thunderbird 3 ).
- Cando se abran correos en texto plano  en Outlook Express e Windows Mail, o foco está correctamente colocado  na mensaxe lista para que o usuario o lea. Anteriormente o usuario tiña que premer tab ou facer clic sobre a mensaxe en orden a utilizar as teclas do cursor para lelo.
- Correxidos varios problemas maiores ca funcionalidade "falar Teclas de ordes".
- NVDA agora pode ler texto que pase de 65535 caracteres en controis estándar de edición (ex.: un ficheiro grande en Notepad).
- Mellorada a leitura de liñas en campos de edición de MSHTML (mensaxes editables de Outlook Express e campos de entrada de texto en Internet Explorer).
- NVDA xa non se colga ás veces completamente cando se edita texto en OpenOffice. (#148, #180)
-



= 0.6p2 =


- Mellorada a voz predeterminada de ESpeak en NVDA
- Engadida unha disposición de teclado para ordenadores portátiles. As disposicións de teclado poden ser configuradas dende o diálogo de Opcións de teclado de NVDA. (#60)
- Soporte para grupos de elementos en controis SysListView32, atopados principalmente en Windows Vista. (#27)
- Informar do estado verificado de elementos de vista en árbore en controis SysTreeview32.
- Engadidas teclas de atallo para moitos dos diálogos de configuración de NVDA
- Soporte para IAccessible2 habilitado para aplicacións como Mozilla Firefox cando se executa ó NVDA dende un medio portátil, sen ter que rexistrar ningún ficheiro Dll en especial
- Correxido un pete ca lista de ligas do modo virtual en aplicacións Gecko. (#48)
- NVDA non debería petar xa con aplicacións Mozilla Gecko como Firefox e Thunderbird se NVDA está executándose con privilexios máis altos que os da aplicación Mozilla Gecko. Ex. NVDA está executándose como Administrador.
- Diccionarios da fala (anteriormente diccionarios de usuario) agora poden ser ou sensibles ás maiúsculas ou insensibles, e os patróns poden ser opcionalmente expresións regulares. (#39)
- Si ou non NVDA utiliza un 'modo de disposición de pantalla' para os documentos do modo virtual pode agora ser configurado dende un diálogo de opcións 
- Non se informa máis sobre ancoraxe de etiquetas sen href en documentos Gecko como ligas. (#47)
- A orde procurar de NVDA agora lembra que é o último que se procurou, a traverso de todas as aplicacións. (#53)
- Correxidos problemas onde o estado marcado non era anunciado en algunhas casiñas de verificación e botóns de radio nos modos virtuais 
- O modo de paso a traverso do modo virtual é específico agora para cada documento, en lugar de globalmente para NVDA. (#33)
- Correxida alguna lentitude cos cambios do foco e interrupción incorrecta da voz que algunhas veces ocurría cando se utiliza NVDA en un sistema que estivera en sobre aviso ou estaba máis ben lento
- Mellora o soporte para cadros combinados en Mozilla Firefox. Específicamente cando se navega cas flechas pou os seus textos non é repetido, e cando saltando fóra deles, os controis ancestros non son anunciados innecesariamente. agora tamén as ordes do modo virtual funcionan cando reciben o foco en un cando estás nun modo virtual.
- Mellora a precisión da procura da barra de estado en moitas aplicacións. (#8)
- engadida a ferramenta da consola de python interactiva de NVDA, para habilitar ós desenroladores para mirar e manipular cuestións internas do NVDA segundo se está a executar 
- Os scripts DicirTodo, AnunciarSelección e anunciarLiñaActual funcionan agora apropriadamente cando se está  no modo pasar a traverso do modo virtual. (#52)
- Os scripts incrementar velocidade e decrementar velocidade foron eliminados. Os usuarios deberían utilizar os scripts do grupo das opcións de sintetizador (control+nvda+flechas) ou o diálogo de opcións de Voz
- Mellórase o rango e a escala dos pitidos da barra de progreso 
- Engadidas máis teclas rápidas ó novo modo virtual:  l para lista, i para elemento de lista, e para campo de edición, b para botón, x para casiña de verificación, r para botón de radio, g para gráfico, q para citas, c para cadro combinado, 1 a 6 para os respectivos niveis de cabeceira, s para separador, m para marco. (#67, #102, #108)
- A cancelación da carga dun novo documento en Mozilla Firefox permite agora ó usuario seguir utilizando o antigo documento do  modo virtual se o vello documento non foi realmente destruido aínda. (#63)
- Navegar por palabras nos modos virtuais é agora máis exacto mentres as palabras non conteñan accidentalmente texto de máis de un campo. (#70)
- Mellorada a exactitude do seguemento do foco e a actualización do foco cando se navega en modos virtuais de Mozilla Gecko.
- Engadido un script atoparAnterior (shift+NVDA+f3) para utilizar  no novo modo virtual 
- Mellorada a lentitude en diálogos Mozilla Gecko (en Firefox e Thunderbird). (#66)
- Engadida a capacidade para ver o ficheiro log actual para NVDA. pode ser atopado no menú NVDA -> Ferramentas
- Scripts como dicirData e hora teñen en conta agora a lingua actual; pontoación e ordeamento das palabras agora refrexan a lingua 
- O cadro combinado de lingua no diálogo de Opcións Xerais de NVDA amosa agora os nomes da lingua completo para facilidade de uso
- Cando se revisa texto no navegador de obxectos actual, o texto está sempre actualizado se cambia dinámicamente. Ex.: revisando o texto dun elemento de lista  na Bandexa de Tarefas. (#15)
- Cando te moves co rato, o parágrafo actual de texto baixo o rato agora é anunciado, en lugar de todo o texto nese obxecto particular ou só a palabra actual. Tamén as coordenadas de audio, e o anunciado dos roles do obxecto é opcional, son desactivados de maneira predeterminada
- Soporte para leitura de texto co rato en Microsoft Word
- Correxido un erro onde ó abandoar a barra de menú en aplicacións como Wordpad podería causar que a selección de texto non sexa anunciada nunca máis
- En Winamp, o título da pista non é xa anunciado unha e outra vez cando se cambia de pistas, ou ó pausar/reanudar/deter a reproducción.
- En Winamp, engadida a capacidade de anunciar o estado dos controis Aleatorio e repetición segundo son activados. Funciona na ventá principal e  no editor de listas de reproducción
- Mellorada a capacidade para activar campos particulares nos modos virtuais de Mozilla Gecko. Poderá incluir gráficos clicables, ligas que conteñan parágrafos, e outras estructuras raras
- Correxido un retraso inicial cando se abren diálogos de NVDA nalgúns sistemas. (#65)
- Engadido soporte específico para a aplicación Total Commander
- Correxido un fallo  no controlador sapi4serotek onde o ton bloqueábase nun valor particular, é dicir, quedábase alto despois de ler unha letra en maiúscula. (#89)
- Anúnciase texto cliqueable e outros campos como cliqueables en modos virtuais de Mozilla Gecko. ex.:  a campo que teña un atributo onclick HTML. (#91)
- Cando nos movemos polos modos virtuais de Mozilla Gecko, desprázase o campo actual para ver -- útil para que os pares videntes teñan unha idea de onde está o usuario  no documento (#57)
- Engádese soporte básico para que área de rexións activas amose eventos en aplicacións habilitadas para IAccessible2 Útil  na aplicación de IRC Chatzilla, as mensaxes novas serán agora lidas automáticamente 
- Algunhas melloras pequenas para axudar a utilizar aplicacións web con capacidade de ARIA,  ex.: Google Docs
- Detense a adición de liñas en blanco extra ó texto cando se copia dende un modo virtual 
- Detense a tecla espazo de activar unha liga na lista de ligas.  agora pode ser utilizado como outras letras en orden a comezar o tecleo do nome dunha liga en particular á que desexes ir
- O script moveMouseToNavigator (NVDA+barra do teclado numérico) agora move o rato ó centro do navegador de obxectos, en lugar  de á esquina superior esquerda 
- Engadidos scripts para facer clic nos botóns esquerdo e dereito do rato (barra e asterisco do teclado numérico respectivamente)
- Mellorado o acceso á Bandexa do Sistema de Windows. Ca esperanza de que o foco xa non debería parecer quedarse atrás nun elemento en particular. Recordatorio: para ir á Bandexa do sistema utiliza a orde de Windows Tecla Windows+b. (#10)
- Mellórase o rendemento e parada de anunciado de texto extra cando se mantén pulsada unha tecla de cursor nun campo de edición e alcanza o final
- Detense a capacidade de NVDA para facer que o usuario agarde mentres mensaxes en particular son falados. Arranxa algúns petes/cuelgues con sintetizadores de voz en particular. (#117)
- Engadido soporte para o sintetizador de voz Audiologic Tts3, contribución de Gianluca Casalino. (#105)
- Posiblemente mellora de rendemento cando se navega polos documentos en Microsoft Word
- Mellorada a precisión cando se le texto de avisos en aplicacións de Mozilla Gecko
- Detéñense posibles petes cando se trata de gardar a configuración en versións non en inglés de Windows. (#114)
- Engádese un diálogo de benvida de NVDA. Este diálogo está deseñado para proporcionar información esencial para novos usuarios e permite ó BloqMaius ser configurado como unha tecla modificadora do NVDA. Este diálogo será amosado cando NVDA sexa iniciado predeterminadamente ata que se deshabilite.
- Correxido soporte básico para Adobe Reader tal que é posible ler documentos en  versións 8 e 9
- Correxidos algúns erros que poderían ter ocurrido cando se manteñen premedas teclas antes de que NVDA sexa apropriadamente inicializado
- Se o usuario configurou ó NVDA para gardar a configuración ó saír, asegúrase de que a configuración é apropriadamente gardada cando se apaga ou se sae de Windows.
- Engadido un son de logo de NVDA ó comezo do instalador, contribuído por Victor Tsaran
- NVDA, tanto ó se executar  no instalador coma de outra maneira, debería quitar apropriadamente o seu icono da bandexa do sistema cando saia
- Etiquetas para controis estándar en diálogos de NVDA (como botóns Aceptar e cancelar) deberían amosarse agora  na lingua na que NVDA está axustado, en lugar de só quedarse en Inglés.
- O icono do NVDA debería ser agora utilizado polas teclas de atallo do NVDA  no menú de inicio e no escritorio, en lugar de un icono de aplicación predeterminado.
- Ler celdas en MS Excel cando te moves con tab e shift+tab. (#146)
- Correxidas algunhas verbalizacións duplicadas en listas en particular en Skype.
- Mellorado o seguemento do cursor en aplicacións IAccessible2 e Java; ex.: en Open Office e Lotus Symphony, NVDA agarda adecuadamente que o cursor se mova en documentos en lugar de ler accidentalmente a palabra incorrecta ou liña  no final de algúns parágrafos. (#119)
- Soporte para controis AkelEdit atopados en Akelpad 4.0
- NVDA xa non se bloquea en Lotus Synphony cando te moves dende o documento á  barra de menú.
- NVDA xa non se colga nos applets de programas Add/Remove en Windows XP cando se lanza un desinstalador. (#30)
- NVDA xa non se colga cando se abre Spybot Search and Destroy
-
 

= 0.6p1 =

== Acceso ó contido da web cos novos modos virtuais en proceso (ata aquí para aplicaciónsMozilla Gecko incluíndo Firefox3 e Thunderbird3) ==
- Os tempos de carga foron mellorados case por un factor de trenta (xa non tes que agardar en toda a maior parte das páxinas web para cargarse  no modo virtual)
- Engadida unha lista de ligas (NVDA+f7)
- Mellorado o diálogo procurar (control+nvda+f) así que leva a cabo unha procura insensible ás maiúsculas, máis arranxo duns poucos problemas co foco con ese cadro de diálogo.
- agora é posible seleccionar e copiar texto nos novos modos virtuais 
- De maneira predeterminada os novos modos virtuais representan o documento nunha disposición de pantalla (ligas e controis non están en liñas separadas a menos que realmente sexan visualmente así). podes conmutar esta característica con NVDA+v.
- É posible moverse por parágrafos con control+flecha arriba e control+flecha abaixo.
- Mellorado o soporte para contido dinámico
- Mellorado por enriba toda a precisión da leitura de liñas e campos cando se sube ou se baixa cas flechas. 
-


== Internacionalización ==
- agora é posible teclear caracteres acentuados que  dependen de un "caracter só", mentres NVDA está executándose.
- NVDA anuncia agora cando a distribución de teclado é cambiada (cando se preme alt+shift).
- A característica de anunciado de data e hora toma agora as opcións rexional e de idioma actuais do sistema.
- Engadida traducción ó Checo (por Tomas Valusek ca axuda de Jaromir Vit)
- Engadida traducción ó vietnamita por Dang Hoai Phuc
- Engadida ttraducción ó Africaans (af_ZA), por Willem van der Walt.
- Engadida traducción ó ruso por Dmitry Kaslin 
- Engadida traducción ó polaco por DOROTA CZAJKA e amigos.
- Engadida traducción ó japonés por Katsutoshi Tsuji.
- Engadida tradución ó tailandés por Amorn Kiattikhunrat
- Engadida traducción ó croata por Mario Percinic e Hrvoje Katic  
- Engadida traducción ó galego por Juan C. buño 
- Engadida traducción ó ucraniano por Aleksey Sadovoy 
-


== Voz ==
- NVDA ven agora co eSpeak 1.33 empaquetado que contén moitas melloras, entre as que están idiomas mellorados, variantes nomeadas, capacidade para falar máis rápido.
- O diálogo de opcións de voz agora permíteche cambiar a variante dun sintetizador si o soporta. A variante é normalmente unha lixeira variación da voz actual. (eSpeak soporta variantes).
- Engadida a capacidade para cambiar a inflexión dunha voz  no diálogo de Opcións de Voz se o sintetizador actual o soporta. (eSpeak soporta inflexión).
- Engadida a capacidade para deter a verbalización da información de posición do obxecto (ex.:. 1 de 4). Esta opción pode ser atopada no diálogo de Opcións de Presentación de obxectos.
- NVDA pode pitar agora cando verbalice unha letra en maiúsculas. Esto pode ser activado e desactivado cunha casiña de verificación  no diálogo de Opcións de Voz. Tamén se engadíu unha casiña de verificación de elevación do ton para maiúsculas para configurar se NVDA actualmente debería ter a súa elevación de ton normal para as maiúsculas. Así agora podes ter o ton elevado, dicir maius, ou pitar, para maiúsculas.
- Engadida a capacidade para pausar a voz en NVDA (como a atopada en Voice Over para o Mac). Cando NVDA está falando algo, podes premer as teclas control ou shift para silenciar a voz normalmente, pero se entón pulsas a tecla shift de novo (tanto en canto non premeras calquera outra tecla) a voz continuará exactamente dende onde o deixaramos.
- Engadido un controlador de sintetizador virtual o que saca texto a unha ventá en lugar de falalo a traverso dun sintetizador de voz. Esto debería ser máis agradable para os desenroladores videntes que non son usuarios da síntese de voz pero queren saber que está a dicir o NVDA. Todavía hai probablemente algúns fallos, así que a retroalimentación é máis benvida se cabe.
- NVDA xa non fala de maneira predeterminada a pontoación, podes habilitar a fala de pontoación con NVDA+p.
- eSpeak de maneira predeterminada agora fala un pouco máis amodo, o que debería facelo máis sinxelo para xente que van a utilizar eSpeak por primeira vez, cando instalan ou comezan a utilizar NVDA.
- Engadidos diccionarios de usuario ó NVDA. Éstos permítenche facer que NVDA fale certo texto de modo diferente. Hai tres diccionarios: predeterminado, voz, e temporal. As entradas que engadas ó diccionario predeterminado sucederán todo o tempo en NVDA. Os diccionarios por voz son específicos ó sintetizador actual e a voz que actualmente teñas axustada. e o diccionario temporal é para aquelas ocasións nas que queras fixar rápidamente unha regra mentres vas a facer unha tarefa en particular, pero non queres que sexa permanente (desaparecerá se pechas ó NVDA). Por agora as regras son expresións regulares, non só texto normal.
- Os sintetizadores poden agora utilizar calquera dispositivo de audio de saída no teu sistema, axustando o cadro combinado de dispositivo de saída no diálogo Sintetizador antes de seleccionar o sintetizador que queras.
-


== Rendemento ==
- NVDA xa non toma unha grande cantidade de memoria do sistema, cando se editan mensaxes en controis de edición mshtml
- Mellorado o rendemento cando se revisa texto dentro de moitos controis que non teñen actualmente un cursor real. Ex.: ventá de históricos de MSN Messenger, elementos de vistas en árbore, elementos de vista de lista etc.
- Mellorado o rendemento en documentos enriquecidos.
- NVDA xa non debería enlentecerse consumindo tamano de memoria do sistema sen razón
- Correxidos fallos cando se pon o foco nunha ventá de consola do dos máis de tres veces ou así. NVDA tiña unha tendencia a petar completamente.
-


== Teclas de ordes ==
- NVDA+shift+numpad6 e NVDA+shift+numpad4 permítenche navegar ó seguinte ou ó anterior obxecto en fluxo respectivamente. Esto siñifica que podes navegar nunha aplicación só utilizando estas dúas teclas sen preocuparte acerca de subir ó pai, ou baixar ó primeiro fillo segundo te movas a traverso da xerarquía de obxectos. Por exemplo nun navegador web tal como firefox, poderías navegar o documento por obxectos, só utilizando estas dúas teclas. Se o seguinte en fluxo ou o anterior en fluxo acércate e sácate dun obxecto, ou abaixo nun obxecto, mandará pitidos indicando a dirección.
- agora podes configurar opcións de voz sin abrir o diálogo opcións de voz, utilizando o grupo de opcións de sintetizador. O grupo de opcións do sintetizador é un grupo de opcións de voz que podes conmutar a traverso da pulsación de control+NVDA+dereita e control+NVDA+esquerda. Para cambiar unha opción utiliza control+NVDA+arriba e control+NVDA+abaixo.
- Engadida unha orde para anunciar a selección actual en campos de edición (NVDA+shift+flecha arriba).
- Un bo número de ordes de NVDA que falan texto (como anunciar liña actual etc) agora poden deletrear o texto se se premen dúas veces rápidamente.
- O BloqMaius, insert do teclado numérico e insert do extendido poden ser todos utilizados como a tecla modificadora do NVDA. Tamén se unha destas teclas é utilizada, preméndoa dúas veces rápidamente sen premer ningunha outra tecla enviará a tecla ó sistema operativo, como se premeses a tecla sen NVDA executándose. Para facer que unha destas teclas sexa a modificadora de NVDA, marca a súa casiña de verificación  no diálogo de Opcións de Teclado (utilizado para seren chamado o diálogo de eco de teclado).
-


== Soporte de aplicacións ==
- Mellorado o soporte para documentos de Firefox3 e Thunderbird3. Os tempos de carga foron mellorados case que por un factor de trenta, unha distribución de pantalla é utilizada predeterminadamente (preme nvda+v para activar ou desactivar esta distribución de pantalla), unha lista de ligas (nvda+f7 foi engadida), o diálogo procurar (control+nvda+f) é agora insensible ás maiúsculas, moito mellor soporte para contido dinámico, a selección de copiado de texto é agora posible.
- nas ventás dos históricos do MSN Messenger e Windows Live Messenger, agora é posible seleccionar e copiar texto.
- Mellorado o soporte para a aplicación audacity
- Engadido soporte para uns poucos controis edit/text en Skype
- Mellorado o soporte para a aplicación Miranda instant messenger 
- Correxidos algúns problemas do foco cando se abren mensaxes html e de texto planno en Outlook Express. 
- Os campos de mensaxes de noticias de Outlook express son agora etiquetados correctamente
- NVDA agora pode ler os enderezos nos campos de mensaxes de Outlook Express (para/de/cc etc)
- NVDA agora debería estár máis certeiro ó anunciar a seguinte mensaxe en outlook express cando se elimina unha mensaxe dende a lista de mensaxes.
-


== APIs e toolkits ==
- Mellorada a navegación de obxectos polos obxectos de MSAA. Se unha ventá como un menú do sistema, barra de título, ou barras de desprazamento, agora podes navegar por elas.
- Engadido soporte para a API de accesibilidade IAccessible2. unha parte da capacidade para anunciar máis tipos de controis, esto tamén permite ó NVDA acceder ó cursor en aplicacións como Firefox 3 e Thunderbird 3, permitíndoche navegar, seleccionar ou editar texto.
- Engadido soporte para controis de edición de Scintilla (tales controis poden ser atopados no Notepad++ ou no Tortoise SVN).
- Engadido soporte para aplicacións Java (a traverso do Java Access Bridge). Esto pode proporcionar soporte básico para Open Office (se Java está activado), e calquera outra aplicación autónoma Java. Ten en conta que os Applets de java dentro dun navegador web non poderán funcionar aínda.
-


== rato ==
- Mellorado o soporte para a leitura do que estea baixo o punteiro do rato segundo se move. agora é moito máis rápido, e agora tamén ten a capacidade nalgúns controis como campos de edición estándares, controis Java e IAccessible2, para ler a palabra actual, non só o obxecto actual. Esto poderá ser de algún uso a persoas con deficiencia visual que só queran ler un anaco específico do texto co rato.
- Engadida unha nova opción de configuración, atopada  no diálogo Opcións do rato. Reproducir audio cando o rato se move, cando está verificada, reproduce un pitido de 40 ms cada vez que o rato se move, co seu ton (entre 220 e 1760 hz) representando o eixo y, e o  volume esquerda/dereita, representando o eixo x. Esto capacita a unha persoa cega alcanzar unha idea aproximada de onde está o rato  na pantalla segundo se está a mover. Esta característica tamén depende de que reportObjectUnderMouse tamén vaia a ser activado. Así esto siñifica que se necesitas deshabilitar rápidamente tanto o pitado como o anunciado de obxectos, entón só preme NVDA+m. Os pitidos tamén son máis altos ou máis baixos dependendo de como brile a pantalla nese punto.
-


== Presentación de obxectos e interacción ==
- Mellorado o soporte para a maioría dos controis comúns de vista en árbore. NVDA diche agora cantos elementos están  na póla cando a expandes. Tamén anuncia o nivel cando te moves en e fóra das pólas. E, anuncia o número do elemento actual e o número de elementos, de acordo ca actual póla, non a árbore enteira.
- Mellorado o que é anunciado cando o foco cambia segundo te moves por aplicacións ou o sistema Operativo. agora en lugar de só escoitar o control no que aterrizas, escoitas información interna acerca de calquer control sobre o que este control esté posicionado. Por exemplo se tabulas e aterrizas sobre un botón dentro de un grupo, o grupo tamén será anunciado.
- NVDA agora trata de falar a mensaxe interior de moitos cadros de diálogo segundo aparecen. Esto é exacto na maior parte das ocasións, aíndaque todavía hai moitos diálogos que non son tan bos como deberían ser.
- Engadida unha casiña de verificación anunciar descripcións do obxecto ó diálogo de Opcións de presentación de obxectos. Os usuarios avanzados poderán en ocasións desmarcar esto para deter o anunciado de NVDA de un montón de descripcións extra en controis en particular, como en aplicacións Java.
- NVDA anuncia automáticamente texto seleccionado en controis de edición cando o foco se move cara eles. Se non hai ningún texto seleccionado, entón só anuncia a liña actual como normalmente.
- NVDA é moito máis cuidadoso agora cando reproduce pitidos para indicar cambios nas barras de progreso en aplicacións. xa non se volve tolo en aplicacións de Eclipse como Lotus Notes/Symphony, e Accessibility Probe.
-


== Interface do Usuario ==
- Eliminada a ventá de interface de NVDA, e reemplazada cun sinxelo menú de NVDA desplegable.
- O diálogo opcións de Interface de NVDA é agora chamado Opcións GXerais. Tamén contén unha opción extra: un cadro combinado para axustar o nivel do log, para que as mensaxes podan ir ó ficheiro de log do NVDA. Ten en conta que o ficheiro de log do NVDA é agora chamado nvda.log non debug.log.
- Eliminada a casiña de verificación Anunciar nomes de grupos de obxectos do diálogo Opcións de presentación de obxectos, O anunciado de nomes de obxectos é agora manexado diferentemente.
-



= 0.5 =
- NVDA ten agora un sintetizador incorporado chammado eSpeak, desenrolado por Jonathan Duddington. é moi áxil e lixeiro, e ten soporte para moitas linguas diferentes. Os sintetizadores Sapi todavía poden ser utilizados, pero eSpeak será utilizado de maneira predeterminada. eSpeak non depende de ningún software especial para seren instalado, así que pode ser utilizado con NVDA en calquier ordenador, nun lápiz de memoria USB, ou calquer outro. Para máis información sobre eSpeak, ou para atopar outras versións, vai a http://espeak.sourceforge.net/.
- Corrección do fallo onde era anunciado o caracter incorrecto cando se premía Suprimir en paneis editables de Internet Explorer / Outlook Express.
- Engadido soporte para máis campos de edición en Skype.
- Os modos virtuais só se cargan cando o foco está sobre a ventá que necesita ser cargada. Esto arranxa algúns problemas cando o panel anterior está activado en Outlook Express.
- Engadidos argumentos de liña de ordes a NVDA:
 --m, --minimal: non reproduce os sons de comezo/saír e non amosa a interface ó arrancar se se axustou a tal cousa.
 --q, --quit: abandoa calquera outra instancia xa en execución do NVDA e logo sae
 --s, --stderr-file nomeFicheiro: especifica onde debería colocar NVDA os erros e excepcións 
 --d, --debug-file nomeFicheiro: especifica onde debería colocar NVDA as mensaxes de depuración 
 --c, --config-file: especifica un ficheiro de configuración alternativo  
 --h, -help: amosa unha mensaxe de axuda listando os argumentos de liña de ordes
- Correxido un fallo onde os símbolos de pontoación non deberían ser traducidos á lingua apropriada, cando se utiliza outra lingua que o inglés, e cando falar caracteres ó se escribir estivera activado.
- Engadidos ficheiros da lingua eslovaca gracias a Peter Vagner 
- Engadido o diálogo de Opcións de Modo virtual e un diálogo de opcións de formato de documento, de Peter Vagner.
- Engadida traducción ó francés gracias a Michel Such 
- Engadido un script para activar e desactivar o pitido das barras de progreso (insert+u). Colaboración de Peter Vagner.
- Faise que máis mensaxes en NVDA sexan traducibles para outras linguas. Esto inclúe descripcións de script cando se está  na axuda de teclado.
- Engadido un diálogo de procura ós modos virtuais (internet Explorer e Firefox). Premendo control+f cando se está nunha páxina desplega un diálogo  no que podes teclear algún texto a atopar. Premendo intro despois procurará este texto e colocará o cursor do modo virtual sobre esta liña. Premendo f3 tamén procurarás a seguinte ocurrencia do texto.
- Cando falar caracteres ó se escribir está activado, máis caracteres deberían ser falados agora. Técnicamente, agora os caracteres ascii dende o 32 ó 255 poden ser falados.
- Renomeados algúns tipos de controis para unha mellor lexibilidade. O Texto editable é agora edición, outline é agora árbore e botón pulsable é agora botón.
- Cando se navega ó longo dos elementos de unha lista, ou elementos de árbore nunha árbore, o tipo de control (elemento de lista, elemento de árbore) xa non é falado, para unha navegación rápida.
- Ten desplegable (para indicar que un menú ten un submenú) é agora falado como submenú.
- Cando algunhas linguas utilizan control e alt (ou altGR) para introducir un caracter especial, NVDA falará agora estos caracteres cando falar caracteres ó se escribir estea activado.
- Arranxados algúns problemas ca revisión de controis con texto estático.
- Engadida traducción ó Chino Tradicional, gracias a Coscell Kao.
- Reestructurada unha parte importante do código de NVDA, que debería correxir agora moitos fallos ca interface de usuario de NVDA (incluyndo opcións de diálogos).
- Engadido soporte Sapi4 para NVDA. Actualmente hay dous controladores sapi4, un basado en código escrito por Serotek Corporation, e outro utilizando a interface ActiveVoice.ActiveVoice com. Ambos controladores teñen problemas, mira cal funciona mellor para ti.
- agora cando se trata de executar unha nova copia de NVDA mentres unha copia anterior está todavía executándose causará que a nova copia saia. Esto arranxa un problema maior cando se executan múltiples copias do NVDA facendo que o teu sistema sexa moi inusable.
- Renomeado o título da interface de usuario de NVDA de Interface de NVDA a NVDA. 
- Correxido un fallo en Outlook Express cando ó pulsar Retroceso  no inicio dunha mensaxe editable causaba un erro.
- Engadido un parche de Rui Batista que engade un script para anunciar o actual estado da batería en portátiles (insert+shift+b).
- Engadido un controlador de sintetizador chamado Silence. Este é un controlador de sintetizador que non fala nada, permitindo a NVDA permanecer completamente silencioso todo o tempo. Eventualmente esto sería utilizado xunto co soporte Braille, cando o teñamos.
- Engadida opción capitalPitchChange para sintetizadores gracias a J.J. Meddaugh
- Engadido parche de J.J. Meddaugh que fai que o script conmutar anunciado de obxectos baixo o rato sexa máis parecido a outros scripts conmutables (dicindo activado/desactivado en lugar de cambiando  todo o estado).
- Engadida traducción ó español (es) colaboración de Juan C. buño.
- Engadido ficheiro de lingua Húmgara de Tamas Gczy.
- Engadido ficheiro de lingua portuguesa de Rui Batista.
- O cambio de voz no diálogo Opcións de voz axusta agora os deslizadores de velocidade, ton e volume ós novos de acordo co sintetizador, en lugar de forzar ó sintetizador a seren axustado ós valores anteriores. Esto arranxa fallos cando un sintetizador como eloquence ou viavoice parecen falar a unha velocidade moito máis rápida que todos os outros sintetizadores.
- Correxido un fallo onde o sintetizador de voz detíase, o NVDA petaba completamente, cando se estaba nunha ventá da consola do Dos.
- Se existe soporte para un idioma en particular, NVDA agora pode amosar automáticamente a súa interface e falar as súas mensaxes  na lingua na que Windows estea axustado. Unha lingua particular pode aínda ser elexida manualmente dende o diálogo Opcións de Interface de Usuario como tamén.
- Engadido un script 'toggleReportDynamicContentChanges' (insert+5). Esto conmuta se o texto novo, ou outros cambios dinámicos deberían ser anunciados automáticamente. Ata aquí esto só funcionaba en ventás de consola do Dos.
- Engadido o script 'toggleCaretMovesReviewCursor' (insert+6). Esto conmuta se o cursor de revisión debería ser volto a poñer automáticamente cando o cursor do sistema se move. Esto é útil en Ventás de Consola do Dos cando se trata de ler información cando a pantalla se está a actualizar.
- Engadido o script 'toggleFocusMovesNavigatorObject' (insert+7). Esto conmuta se o navegador de obxectos é volto a poñer sobre o obxecto co foco cando cambia.
- Engadida algunha documentación traducida en varias linguas. Ata aquí hai Francés, Español e Finlandés.
- Eliminada algunha documentación de desenroladores da distribución binaria do NVDA, agora so está  na versión das fontes.
- Correxido un posible fallo en Windows Live Messanger e MSN Messenger onde ó navegar arriba e abaixo pola lista de contactos causaba erros.
- Novas mensaxes son agora faladas automáticamente cando se está nunha conversación utilizando Windows Live Messenger. (só funciona para versións en Inglés ata agora)
- A ventá de históricos nunha conversación en Windows Live Messenger agora pode ser lida utilizando as teclas de flechas. (Só funciona para versións en Inglés ata o momento) 
- Engadido o script 'passNextKeyThrough' (insert+f2). Preme esta tecla, e entón a seguinte tecla premeda será pasada directamente ó Windows. Esto é útil se has premer unha tecla nunha aplicación pero NVDA utiliza esa tecla para algo.
- NVDA xa non se conxela por máis dun minuto cando se habren documentos moi grandes en MS Word.
- Correxido un fallo cando se move fóra dunha táboa en MS Word, e logo se volta a ela, causaba que os números da actual fila/columna non sexan falados se voltas exactamente á mesma celda.
- Cando se comeza NVDA cun sintetizador que non existe, ou non está funcionando, o sintetizador sapi5 tratará de ser cargado no seu lugar, ou se sapi5 non está funcionando, entón a voz será axustada a silence.
- Os scripts de Incrementar e decrementar a velocidade xa non poden tomar a velocidade por enriba de 100 ou por debaixo de 0.
- Se hay un erro cunha lingua cando se elixa  no diálogo Opcións de Interface de Usuario, un cadro de mensaxe alertará ó usuario do feito.
- NVDA agora pregunta se debería gardar a configuración e reiniciar se o usuario cambiou a lingua no diálogo Opcións de Interface de Usuario. NVDA debe ser reiniciado para que o cambio de lingua teña un efecto completo.
- Se un sintetizador non pode ser cargado, cando se o selecciona dende o diálogo Sintetizadores, Un cadro de mensaxe alerta ó usuario do feito.
- Cando se carga un sintetizador por primeira vez, NVDA permite ó sintetizador elexir a voz máis convinte, os parámetros de velocidade e ton, en lugar de forzalo a deixalo como pense que está ben. Esto corrixe un problema onde os sintetizadores sapi4 Eloquence e Viavoice comezan a falar dun modo bastante rápido para unha primeira vez.
-


